2018-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	3.24.0

2018-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Require gtkmm-3.0 >= 3.24.0 and link to gtkmm 3.24

2018-11-09  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Replace most Gtk::manage() calls with Gtk::make_managed()

2018-11-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Create only .tar.xz tarballs

	* configure.ac: This is what ftp.gnome.org wants, so this avoids
	it doing any repackaging. This is what gtkmm does.

2018-11-08  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Avoid '<' and '>' in code snippets in the docbook file

	Use &lt; and &gt; except in CDATA sections.

2018-11-07  Daniel Boles  <dboles.src@gmail.com>

	Document the new make_managed() & prefer to use it

	This performs creation and manage()ment in a single step and therefore
	avoids the user having to write the discouraged new operator, looks more
	like Standard C++ things like make_shared(), etc. So, move our examples
	to it, and elaborate on why it is preferable to manage() or new/delete.

	https://gitlab.gnome.org/GNOME/gtkmm/issues/33

2018-11-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Add Gtk::FileChooserNative example

	Bug 783801

2018-11-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	3.22.1

2018-11-07  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Link to glibmm 2.58

	It's the latest glibmm version in the glibmm-2.4 ABI series.
	This ABI series is compatible with gtkmm3.

2018-10-27  Daniel Boles  <dboles.src@gmail.com>

	Clarify that user sometimes must delete if managed

	container.ccg remembers whether the object was originally un-floated by
	Gtk::manage() and, if so, restores that state during Container.remove(),
	with the result that the removed widget is *not* deleted, as it would be
	in GTK+, but instead it is re-floated and requires the user to deal with
	(e.g. to add it to some other container or to finally call delete on it)

	This is documented in container.hg but nowhere that I can see in our
	tutorial, and I think it is worth mentioning here, since it is not
	completely intuitive: users might otherwise think that the fact manage()
	delegates lifetime management to the Container means they get back the
	same behaviour of C widgets, i.e. that remove() would cause destruction,
	but of course that is not the case, and we might thus encourage leaks.

	So mention that manage() only relieves the user of the burden of calling
	delete if they add the widget to a parent and do not remove it later, in
	both the Memory Management section and the part about deleting wrappers.

2018-10-26  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	configure.ac: Update bug report address

2018-05-31  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Fix a broken link to www.gtkmm.org

	Fixes #2

2018-01-15  Daniel Boles  <dboles.src@gmail.com>

	Fix typo in my recent ColumnRecord commit

	Thanks to Kjell for pointing this out.

	https://bugzilla.gnome.org/show_bug.cgi?id=792482#c10

2018-01-14  Daniel Boles  <dboles.src@gmail.com>

	Fix 2 typos of slot_callbback => slot_callback

2018-01-14  Daniel Boles  <dboles.src@gmail.com>

	Don’t write main() without a return type

	Yikes! That’s not C++.

2018-01-14  Daniel Boles  <dboles.src@gmail.com>

	Clarify: ColumnRecords can be static *singletons*

	Sharing these between models is highly desirable as it can avoid a lot
	of work and waste. So, take the para warning about not making static
	ColumnRecords, and reword it to explain why you probably wanted a static
	one and what the real solution is.

	https://bugzilla.gnome.org/show_bug.cgi?id=792482

2017-12-28  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Don't use the deprecated Gdk::screen_width() and screen_height()

2017-11-15  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Clarify when the user shall delete the wrap() result

	There are situations when the user is responsible for deleting
	the wrap() result. Bug 788646

2017-11-15  Daniel Boles  <dboles.src@gmail.com>

	Mixing C & C++: Clarify ownership of wrap() result

	Make it clear that wrap() returns a pointer to an instance owned by
	glibmm, so users should not try to delete it. Also mention the effect on
	refcount, i.e. nothing if (!take_copy). Finally, show the C++ instance
	actually being used (though a better example would show more advantage).

	While here, I split the long paragraphs for readability & to help git, &
	add some missing <classname>/<function> tags for readability/semantics.

	https://bugzilla.gnome.org/show_bug.cgi?id=788646

2017-11-01  Kjell Ahlstedt  <kjellahlstedt@gmail.com>

	Fix buildapp/Makefile.am and buildapp/README

	* examples/book/buildapp/Makefile.am: Fix the build of resources.c in
	steps 8 and 9.
	* examples/book/buildapp/README: Describe how to make the application
	find the saved preferences.

2017-02-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Headers and Linking section: Replace broken link

	Replace the link to Openismus with links to GNU's documentation of
	autoconf and automake. Bug 777879

2016-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	3.22.0

2016-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Link to gtkmm 3.22 and glibmm 2.50

	In preparation for future releases that will be compatible with the
	ABI-breaking gtkmm-4.0 and glibmm-2.52, let the links from the generated
	html files point to gtkmm 3.22 and glibmm 2.50 instead of the usual latest
	unstable documentation and git's master branch. Bug 773642 comment 4.

2016-11-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Replace Menu::popup() by Menu::popup_at_pointer()

	* examples/book/menus/popup/examplewindow.cc:
	* examples/book/treeview/popup/treeview_withpopup.cc: Replace the deprecated
	Menu::popup() by the new Menu::popup_at_pointer().
	* examples/others/cellrenderercustom/cellrenderertoggle.cc: Don't use an
	anonymous namespace. gcc 6.2.0 reports errors because there are unused
	functions. (I don't want to remove them. I suppose someone has planned to
	use them some time.)

2016-10-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Build app example: Use Gio::Settings::bind(key, property_proxy, flags)

	* docs/tutorial/C/index-in.docbook:
	* examples/book/buildapp/step5/exampleappprefs.cc:
	* examples/book/buildapp/step[5-9]/exampleappwindow.cc:
	Use Gio::Settings::bind(key, property_proxy, flags) instead of
	Gio::Settings::bind(key, object, property_name, flags). Better compile-time
	checking and no need for the ugly tag.operator->(). Bug #772391

2016-10-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add last part of "Building applications" chapter with example code

	* docs/tutorial/C/index-in.docbook: Add sections 7-9 of the "Building
	applications" chapter. It's a C++/gtkmm version of a chapter in the gtk+
	documentation.
	* docs/tutorial/C/figures/buildapp_*.png: 3 new files. Update the old files.
	* docs/tutorial/Makefile.am: Add new image files.
	* examples/book/buildapp/.gitignore: Ignore gschemas.compiled.
	* examples/book/buildapp/Makefile.am: Add files in step[7-9].
	* examples/book/buildapp/step[7-9]: New directories with many new files.
	Bug #772391

2016-10-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add another part of "Building applications" chapter with example code

	* docs/tutorial/C/index-in.docbook: Add sections 4-6 of the "Building
	applications" chapter. It's a C++/gtkmm version of a chapter in the gtk+
	documentation.
	* docs/tutorial/C/figures/buildapp_*.png: 3 new files.
	* docs/tutorial/Makefile.am: Add new image files.
	* configure.ac: Add GLIB_GSETTINGS.
	* examples/Makefile.am: Don't distribute resources.c files.
	* examples/book/buildapp/Makefile.am: Add files in step[4-6].
	* examples/book/buildapp/step[1-2]/Makefile.example: Improved
	* examples/book/buildapp/step[4-6]: New directories with many new files.
	Bug #772391

2016-10-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add examples/book/buildapp/.gitignore

	Should have been included in the previous commit.

2016-10-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add part of "Building applications" chapter with example code

	* docs/tutorial/C/index-in.docbook: Add the first 3 sections of the "Building
	applications" chapter. It's a C++/gtkmm version of a chapter in the gtk+
	documentation.
	* docs/tutorial/C/figures/buildapp_*.png: New files.
	* docs/tutorial/Makefile.am: Add new image files.
	* configure.ac: Add examples/book/buildapp/Makefile.
	* examples/Makefile.am: Call Makefile in the book/buildapp directory.
	* examples/book/buildapp/*: New directory with many new files.
	Bug #772391

2016-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove build/ax_cxx_compile_stdcxx.m4

	It is not used. gtkmm-documentation uses mm-ax_cxx_compile_stdcxx.m4, copied
	from mm-common.

2016-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	RadioButton section: Describe Gtk::RadioButton::join_group()

	* docs/tutorial/C/index-in.docbook: RadioButton section: Describe join_group().
	* examples/book/buttons/radiobutton/radiobuttons.cc:
	* examples/book/keyboard_events/simple/examplewindow.cc: Use join_group().
	Bug #769374

2016-07-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the build.

2016-07-26  Murray Cumming  <murrayc@murrayc.com>

	C++14: Use std::make_unique<>().

2016-07-26  Murray Cumming  <murrayc@murrayc.com>

	Require C++14.

	So we can use some nicer features in our example code.

2016-07-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Mention that Gtk::Action is deprecated

	* docs/tutorial/C/index-in.docbook: Mention that Gtk::ActionGroup,
	Gtk::*Action, Gtk::UIManager and Gtk::Activatable are now deprecated.

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	AboutDialog example: Add a logotype

	* docs/tutorial/C/index-in.docbook: Add aboutdialog.gresource.xml to the
	listed source code files.
	* examples/.gitignore: Ignore book/dialogs/aboutdialog/resources.c.
	* examples/Makefile.am: Make a resource file for the AboutDialog example.
	* examples/book/dialogs/aboutdialog/examplewindow.cc: Add a logotype to
	the dialog.
	* examples/book/dialogs/aboutdialog/aboutdialog.gresource.xml: New file.
	* examples/book/dialogs/aboutdialog/gtkmm_logo.gif: New file. Copied from
	gtkmm/docs/images/gtkmm_logo.gif.

2016-07-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Build: Fix silent builds

	* configure.ac: Pass yes to AM_SILENT_RULES, thus enabling silent builds.
	Replace MM_AX_CXX_COMPILE_STDCXX_11 by MM_AX_CXX_COMPILE_STDCXX (not necessary
	for silent builds). Bug #768797

2016-06-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add the ListModel example

	* examples/MakeFile.am: Add book/listmodel.
	* examples/book/listmodel/main.cc:
	* examples/book/listmodel/examplewindow.[h|cc]:
	* examples/book/listmodel/myobject.[h|cc]: New files.
	This example is similar to gtk+/tests/listmodel.c. Bug #755149

2016-06-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	_CUSTOM_WRAP_FUNCTION and _NO_WRAP_FUNCTION in _CLASS_GTKOBJECT

	_CUSTOM_WRAP_FUNCTION and _NO_WRAP_FUNCTION can now be used also in
	a _CLASS_GTKOBJECT. Add that info to "The .hg and .ccg files" section.
	Bug #767951

2016-06-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Printing examples: Add missing menu items and toolbar

	Before GtkUIManager was deprecated, the printing/simple and printing/advanced
	examples had a toolbar and more menu items. Add them again.
	Make main.cc and examplewindow.[h|cc] identical in these two examples.

2016-06-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	printing/advanced example: Don't use deprecated methods

	Replace calls to Gdk::Window::create_cairo_context() by Gdk::Window::
	begin_draw_frame() and Gdk::DrawingContext::get_cairo_context().

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Move the description of _CUSTOM_MOVE_OPERATIONS

	Move the description of this gmmproc macro to the "Macros that suppress
	generation of some code" section, and make it similar to the other
	descriptions there.

2016-06-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Describe the optional err_return_value argument in _WRAP_VFUNC

2016-05-30  Murray Cumming  <murrayc@murrayc.com>

	Small const improvement.

2016-05-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use the pan-[up,down,start,end]-symbolic icons

	* examples/others/arrow/arrow.cc: Use pan-[up,down,start,end]-symbolic
	* examples/others/cellrenderercustom/popupentry.cc: Use pan-down-symbolic
	These icons have been around for about two years now. They should be
	available in most systems.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

	calendar: Don't use deprecated font: CSS syntax.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

	Don't crash when showing GtkCssProvider errors.

2016-05-16  Murray Cumming  <murrayc@murrayc.com>

	Remove trailing whitespace.

2016-04-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Document 'deprecated' option in _WRAP_ENUM and _WRAP_GERROR

	Document all options in _WRAP_ENUM and _WRAP_GERROR, including the new
	deprecated option.

2016-04-01  Marcin Kolny  <marcin.kolny@gmail.com>

	Add description of _CUSTOM_MOVE_OPERATIONS macro

2016-03-28  Murray Cumming  <murrayc@murrayc.com>

	3.20

2016-03-18  Murray Cumming  <murrayc@murrayc.com>

	Add parentheses to silence clang-tidy.

2016-03-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ProgressBar example: Fix the type of a data member

	* examples/book/progressbar/examplewindow.[h|cc]:
	Replace int m_connection_id_timeout by sigc::connection m_connection_timeout.
	The compiler did not notice this bug until sigc::connection::operator bool()
	was made explicit.

2016-02-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Custom widget and ListBox examples: Update use of CSS files

	* examples/book/custom/custom_widget/custom_gtk.css: Use widget instance name
	instead of class name.
	* examples/book/custom/custom_widget/mywidget.cc: Call Gtk::Widget::set_name().
	Explain the alternative names for use in the CSS file.
	CSS node names are introduced in gtk+ 3.19. They largely replace the class
	names in CSS files.
	* examples/book/listbox/examplewindow.[cc|h]: Remove the CSS data. Gtk+ now
	has reasonable style sheets for GtkListBoxRow.

2016-02-05  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add "String Parameter Processing" section

	Describe {NULL} and {!NULL}, and how the code generated by _WRAP_METHOD()
	handles empty strings.

2016-01-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Builder chapter: Describe additional parameters to get_widget_derived()

	Bug #134161

2016-01-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	builder/derived example: Add constructor with additional parameter

	* examples/book/builder/derived/deriveddialog.[h|cc]:
	* examples/book/builder/derived/main.cc: Add a constructor with an additional
	parameter to DerivedDialog, and call it from Builder::get_widget_derived()
	with an additional argument. Possible when get_widget_derived() is a
	variadic template. Bug #134161.

2016-01-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Custom widget example: Avoid some warnings

	When drawing the foreground, get the color for the current widget state.
	Trying to get the color for another state triggers a warning from
	gtk_style_context_get_property().

2016-01-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update the Internationalization chapter

	Replace the deprecated AM_GLIB_GNU_GETTEXT macro by AM_GNU_GETTEXT in
	a code snippet. Show an example of an autogen.sh file. Bug #701908.

2015-12-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	cellrendererpopup example: Don't use deprecated methods

	* examples/others/cellrendererpopup.cc: Use the new Gdk::Seat::grab() instead
	of the deprecated Gdk::Device::grab().

2015-12-10  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use nullptr instead of 0

2015-11-30  Murray Cumming  <murrayc@murrayc.com>

	3.19.3

2015-11-30  Murray Cumming  <murrayc@murrayc.com>

	Require the latest gtkmm and glibmm.

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Add an override keyword

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	Multi-threaded chapter: Remove warnings about sigc::slots and Glib::Threads::Thread.

	Because people would use regular lambdas or std::function functors with
	std::thread in C++11.

	Also, change the mention of Glib::Thread::Mutex to std::mutex.

	Bug #755091

2015-11-26  Murray Cumming  <murrayc@murrayc.com>

	multithread example: Use std::thread, etc, instead of Glib::Threads::*.

	Because C++11 now has this concurrency API and we should use standard
	C++ where possible. We cannot actually deprecate Glib::Threads until
	a future (soon) gtkmm when we can depend on C++14:
	https://mail.gnome.org/archives/gtkmm-list/2015-August/msg00070.html
	Bug #755091

2015-11-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Document _CUSTOM_* gmmproc macros

2015-10-28  Murray Cumming  <murrayc@murrayc.com>

	Remove unnecessary virtual keywords

2015-10-28  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use the override keyword.

2015-09-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Input example: Fix high CPU load

	* examples/book/input/main.cc: Open the fifo in read/write mode, or else
	the program unnecessarily uses a lot of CPU time.

2015-09-10  Murray Cumming  <murrayc@murrayc.com>

	combobox/complex example: Show use of a cell_data_func().

2015-09-09  Murray Cumming  <murrayc@murrayc.com>

	command_line_handling: handle_local_options(): Correct the return values.

	Since glib bug #750796 was fixed, we really need to return a negative
	value to keep the program running. Returning EXIT_SUCCESS or EXIT_FAILURE
	stops the program.
	Add a --version option as an example of when we might want to stop
	with EXIT_SUCCESS, and add validation for --goo="ungoo" as an example of
	when we might want to stop with EXIT_FAILURE. Otherwise, we return -1
	to keep going.
	Bug #754763

2015-09-09  Murray Cumming  <murrayc@murrayc.com>

	command_line_handling example: on_command_line(): Correct a return code.

	Don't return EXIT_FAILURE for what seems like a success.

2015-09-09  Murray Cumming  <murrayc@murrayc.com>

	Tiny whitespace correction.

2015-08-24  Murray Cumming  <murrayc@murrayc.com>

	Consistent spacing with lambdas.

2015-08-24  Murray Cumming  <murrayc@murrayc.com>

	Update NEWS for next release.

	To mention a commit that got in before I remembered to push the
	release commit (again).

2015-08-24  Murray Cumming  <murrayc@murrayc.com>

	3.17.50

2015-08-23  Murray Cumming  <murrayc@murrayc.com>

	C++11: More use of auto.

2015-08-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Replace deprecated std::auto_ptr by std::unique_ptr

2015-07-23  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use lambdas for simple callbacks given to set_*_func() methods.

2015-07-23  Murray Cumming  <murrayc@murrayc.com>

	Remove unnecessary virtual keywords.

2015-07-23  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use the override keyword.

	This showed that some custom cellrenderers in others/ have
	gtkmm2-style vfuncs that are not actually overriding anything any more.
	They need to be ported properly to gtkmm3 still.

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of nullptr.

2015-07-22  Murray Cumming  <murrayc@murrayc.com>

	C++11: Use of range-based for loops.

	At least to replace uses of non-const iterators.

2015-07-21  Murray Cumming  <murrayc@murrayc.com>

	configure.ac: Use other warnings that glibmm uses.

	For --enable-warnings=fatal. No code changes were necessary.

2015-07-21  Murray Cumming  <murrayc@murrayc.com>

	Use -Wshadow with --enable-warnings=fatal.

	And fix the source code to build like this.

2015-07-21  Murray Cumming  <murrayc@murrayc.com>

	Examples: placessidebar: Remove use of set_show_connect_to_server().

	Because it has been deprecated without replacement (and without
	explanation):
	https://developer.gnome.org/gtk3/unstable/GtkPlacesSidebar.html#gtk-places-sidebar-set-show-connect-to-server

2015-07-15  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Require C++11

	* configure.ac: Use MM_AX_CXX_COMPILE_STDCXX_11 from mm-common to check for
	compiler support for C++11 and use it (-std=c++11 for current versions of g++).
	Among other reasons, this is because libsigc++ and glibmm now require C++11,
	and gmmproc generates C++11 code.

2015-06-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update the "Menus and Toolbars" chapter

	* docs/tutorial/C/index-in.docbook: Describe how to build menus and toolbars
	with Gtk::Builder, Gio:SimpleAction and Gio::SimpleActionGroup instead of
	Gtk::UIManager, Gtk::Action and Gtk::ActionGroup.

2015-06-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	recent_files example: Add toolbar and accelerator keys

	* examples/book/recent_files/examplewindow.cc: Call set_accel_for_action().
	Add definition of toolbar to the string that Builder reads.
	* examples/book/recent_files/examplewindow.h:
	* examples/book/recent_files/main.cc: Add a RefPtr<Application>& parameter
	to ExampleWindow's constructor.

2015-06-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add description of the 'newin' parameter of _WRAP_PROPERTY

	* docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
	Add description of the 'newin' parameter of _WRAP_PROPERTY.

2015-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add description of the detail_name parameter in _WRAP_SIGNAL

	* docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
	Add description of the detail_name and two_signal_methods parameters in
	_WRAP_SIGNAL. Bug #749034.

2015-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the description of parameters in the _WRAP macros

	* docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
	Note which optional parameters have a variable part, such as newin "<version>".

2015-05-12  Murray Cumming  <murrayc@murrayc.com>

	Examples: Remove some uses of GLIBMM_DEFAULT_SIGNAL_HANDLERS_ENABLED

	Because we don't use that anymore and it makes the code less clear.

2015-05-08  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add description of the 'newin' parameter of some _WRAP macros

	* docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
	Add description of the 'newin' parameter. Bug #748856.

2015-04-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add description of _IGNORE_PROPERTY and _IGNORE_CHILD_PROPERTY

	* docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
	Add description of _IGNORE_PROPERTY and _IGNORE_CHILD_PROPERTY.

2015-03-17  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add description of the keep_return parameter in _WRAP_VFUNC

	* docs/tutorial/C/index-in.docbook: "The .hg and .ccg files" section:
	Add description of the keep_return parameter in _WRAP_VFUNC. Bug #705124.

2015-02-27  Murray Cumming  <murrayc@murrayc.com>

	3.15.1

2015-02-21  Maria  Mavridou  <mavridou@gmail.com>

	Updated Greek translation

2015-02-11  Murray Cumming  <murrayc@murrayc.com>

	Minor corrections to stderr output.

2015-02-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' after Widget::override_*() have been deprecated

	* examples/book/custom/custom_widget/custom_gtk.css: Add color and
	background_color.
	* examples/book/custom/custom_widget/mywidget.cc: Don't call
	Widget::override_color() and override_background_color().
	* examples/book/dialogs/colorchooserdialog/examplewindow.[cc|h]:
	* examples/book/flowbox/examplewindow.[cc|h]: Don't call
	Widget::override_background_color(). Add on_drawing_area_draw().
	* examples/others/calendar/calendar.cc: Don't call Widget::override_font().
	Add a CssProvider for setting the font.

2015-02-02  Murray Cumming  <murrayc@murrayc.com>

	ScaleButton example: Correct the use of icons.

	set_value("Some Value") was not appropriate because it wants
	to show an appropriate icon based on set_icons().

2015-02-02  Murray Cumming  <murrayc@murrayc.com>

	ScaleButton Example: Actually show the scale.

	The window must be (arbitrarily) big enough to show it.
	Otherwise we just see a little indicator arrow and the rest is
	truncated.

2015-02-02  Murray Cumming  <murrayc@murrayc.com>

	Examples: Add a VolumeButton example.

2015-01-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Insert listings of .css and .gresource.xml files

	* docs/tutorial/insert_example_code.pl: Make it possible to insert listings
	of files other than .h and .cc in the tutorial.
	* docs/tutorial/C/index-in.docbook: Insert listings of .css and
	.gresource.xml files.

2014-12-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add the "Gio::Resource and glib-compile-resources" section

	* docs/tutorial/C/index-in.docbook: Add the "Gio::Resource and glib-compile-
	resources" section. Mention that the drawingarea/image example uses a resource
	file.

2014-12-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	drawingarea/image and menus_and_toolbars examples: Use resource files

	* configure.ac: Add check for C compiler and glib-compile-resources.
	* examples/.gitignore: Ignore resources.c.
	* examples/Makefile.am: Add make rules for the resource files.
	* examples/book/drawingarea/image/myarea.cc: Use Gdk::Pixbuf::
	create_from_resource() instead of create_from_file().
	* examples/book/drawingarea/image/image.gresource.xml: New file.
	* examples/book/menus_and_toolbars/examplewindow.cc: Use Gtk::Builder::
	add_from_resource().
	* examples/book/menus_and_toolbars/toolbar.glade:
	* examples/book/menus_and_toolbars/toolbar.gresource.xml: New files.

2014-12-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make distcheck'

	* docs/tutorial/Makefile.am: Let yelp-tools decide when subdirectories shall
	be created. Otherwise 'make distcheck' fails. When the build directory is
	different from the source directory, yelp-tools don't expect the language
	subdirectories to be unconditionally created in the build directory.

2014-12-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Custom widget example: Use Gtk::StyleProperty

	* docs/tutorial/C/index-in.docbook: Add the "Custom Style Properties"
	subsection. In the "Contributing" chapter, update the filename
	gtkmm-tutorial-in.xml to index-in.docbook.
	* examples/book/custom/custom_widget/mywidget.[cc|h]: Use Gtk::StyleProperty
	and Gtk::CssProvider::signal_parsing_error().

2014-12-08  Murray Cumming  <murrayc@murrayc.com>

	Added a ScaleButton example.

	Just to test my corrections to its constructor.

	However, I don't know how it is really supposed to work.

2014-11-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the UI definitions in the menu examples

	* examples/book/menus/main_menu/examplewindow.cc: Change to "requires gtk+ 3.4".
	* examples/book/menus_and_toolbars/examplewindow.cc: Add "requires gtk+ 3.4".

2014-11-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update the menus/main_menu and menus_and_toolbars examples

	* docs/tutorial/C/figures/main_menu.png:
	* docs/tutorial/C/figures/menus_and_toolbars.png: Updated pictures.
	* examples/book/menus/main_menu/examplewindow.[h|cc]: Use Gtk::Builder to
	create the toolbar.
	* examples/book/menus_and_toolbars/examplewindow.[h|cc]: Use Gtk::Builder to
	create the toolbar. Add the Rain tool button, which was deleted when
	Gtk::UIManager was abandoned. Use Gtk::Application::set_accel_for_action().
	* examples/book/menus_and_toolbars/main.cc: Add the app to ExampleWindow's
	constructor.

2014-11-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Menus and Toolbars chapter: Partial update

	* docs/tutorial/C/index-in.docbook: Note that some of the described classes
	have been deprecated in gtk+. Add links to the menus_and_toolbars example.

2014-11-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Main menu example: Use Gtk::Application to display an app menu

	* examples/Makefile.am: Add main_menu/exampleapplication.[h|cc].
	* examples/book/menus/main_menu/exampleapplication.[h|cc]: New files.
	* examples/book/menus/main_menu/examplewindow.[h|cc]:
	* examples/book/menus/main_menu/main.cc: Derive from Gtk::Application and
	Gtk::ApplicationWindow, similar to the application/app_and_win_menus example.

	Thanks to Jürgen Kleber, who attached similar code to
	https://mail.gnome.org/archives/gtkmm-list/2014-November/msg00012.html

2014-09-08  Marcin Kolny  <marcin.kolny@gmail.com>

	Completed _WRAP_SIGNAL and _WRAP_VFUNC documentation.

	* docs/tutorial/C/index-in.docbook: added info about return_value
	and exception_handler arguments.

2014-09-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Arrow example: Arrow icons have been renamed

	* examples/others/arrow/arrow.cc: The named icons pan-[left|right]-symbolic
	have been renamed to pan-[start|end]-symbolic.

2014-08-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove the example with the deprecated StatusIcon

	* examples/Makefile.am: Remove book/statusicon/example.
	* examples/book/statusicon/main.cc: Removed file.

2014-07-06  Juan R. García Blanco  <juanrgar@gmail.com>

	Add _WRAP_CHILD_PROPERTY section to tutorial

	* docs/tutorial/C/index-in.docbook: Add new section for
	_WRAP_CHILD_PROPERTY.

2014-06-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	others/cellrenderercustom/testpopup: Use the new base class order

	* examples/others/cellrenderercustom/popupentry.[h|cc]: Interface before
	Glib::Object-derived class in the list of base classes.

2014-06-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Application/app_and_win_menus example: Hide the window when quitting

	* examples/book/application/app_and_win_menus/exampleapplication.cc:
	Hide the window in on_action_quit(). Add a comment that explains why this
	is done. Bug #731126.

2014-06-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Mention that Arrow, Alignment and most Button signals are deprecated

	* docs/tutorial/C/index-in.docbook

2014-06-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' after Gtk::Alignment has been deprecated

	* examples/book/alignment/examplewindow.[h|cc]:
	* examples/book/placessidebar/examplewindow.[h|cc]:
	* examples/book/progressbar/examplewindow.[h|cc]: Use set_halign(),
	set_margin_start() etc. instead of Alignment.

2014-05-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' after Gtk::Misc has been deprecated

	* examples/book/assistant/examplewindow.cc
	* examples/book/box/examplewindow.cc:
	* examples/book/custom/custom_container/examplewindow.cc:
	* examples/book/headerbar/examplewindow.cc:
	* examples/book/placessidebar/examplewindow.cc:
	* examples/book/searchbar/examplewindow.cc:
	* examples/book/spinbutton/examplewindow.cc: Don't use deprecated
	Misc::set_alignment() and deprecated Label ctor.

2014-05-21  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' after Gtk::Arrow has been deprecated

	* examples/Makefile.am: Delete examples/others/arrow/direction.
	* examples/others/arrow/arrow.cc: Delete this file, rename direction.cc
	to arrow.cc, and use Gtk::Button::set_image_from_icon_name() instead of
	Gtk::Arrow.
	* examples/others/arrow/direction.cc: Rename to arrow.cc.
	* examples/others/cellrenderercustom/popupentry.cc:
	Use Gtk::Button::set_image_from_icon_name() instead of Gtk::Arrow.

2014-05-15  Juan R. García Blanco  <juanrgar@gmail.com>

	PlacesSidebar example: use new show-enter-location

	* Use new property "show-enter-location" that toggles
	display of an extra entry in the bar.

2014-05-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Application example: Show the new command-line parsing API

	* examples/Makefile.am: Delete exampleoptiongroup.[cc|h].
	* examples/book/application/command_line_handling/exampleapplication.[cc|h]:
	Show how to use Gio::Application::add_main_option_entry().
	* examples/book/application/command_line_handling/exampleoptiongroup.[cc|h]:
	Deleted files. Bug #727822.

2014-04-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Builder examples: Don't use deprecated API in the Glade files

	* examples/book/builder/basic/basic.glade:
	* examples/book/builder/derived/derived.glade: Don't use deprecated stock
	button and use-action-appearance property.

2014-04-14  Murray Cumming  <murrayc@murrayc.com>

	3.12.0

2014-04-14  Murray Cumming  <murrayc@murrayc.com>

	3.10.0

2014-04-09  Murray Cumming  <murrayc@murrayc.com>

	Examples: Remove unnecessary final 0 parameter for Box spacing and padding.

	0 is already the default.

2014-04-09  Murray Cumming  <murrayc@murrayc.com>

	FlowBox example: Use Gtk::manage().

	* examples/book/flowbox/examplewindow.[h|cc]: This is simpler
	than storing the widget pointers and deleting them later.

2014-04-09  Murray Cumming  <murrayc@murrayc.com>

	Flowbox example: Avoid a compiler error.

2014-04-09  Juan R. García Blanco  <juanrgar@gmail.com>

	Add Gtk::FlowBox book example

2014-04-08  Murray Cumming  <murrayc@murrayc.com>

	Update a comment

2014-04-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Use fallback for symbolic icons

	* examples/book/actionbar/examplewindow.cc: Don't use magic number for
	icon size. Allow fallback icons when using symbolic icon names.
	* examples/book/headerbar/examplewindow.cc:
	* examples/book/popover/examplewindow.cc:
	* examples/book/searchbar/examplewindow.cc: Allow fallback icons when using
	symbolic icon names. Some icon themes lack symbolic icons. Bug #723124.

2014-04-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	.gitignore: Update after port to yelp-tools

2014-04-05  Juan R. García Blanco  <juanrgar@gmail.com>

	Add Gtk::ActionBar book example

2014-04-04  Murray Cumming  <murrayc@murrayc.com>

	Port from gnome-doc-utils to yelp-tools.

	gnome-doc-utils is deprecated in favour of yelp-tools.

2014-04-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the Popover example with --enable-warnings=fatal

	* examples/book/popover/examplewindow.cc: Swap entries in the constructor's
	initialization list. The order shall be the same as in the .h file, or else
	'make check' fails when --enable-warnings=fatal.

2014-03-24  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' with the latest gtkmm version

	* examples/book/scrolledwindow/examplewindow.[cc|h]:
	Use Gtk::Dialog::add_button() instead of the deprecated get_action_area().

2014-02-15  Juan R. García Blanco  <juanrgar@gmail.com>

	Small changes to Gtk::Popover book example

	* Various style fixes.
	* Replace cairo_rectangle_int_t with Gdk::Rectangle
	when accessing Popover::pointing-to property.

2014-02-10  Juan R. García Blanco  <juanrgar@gmail.com>

	Added Gtk::Popover book example

2014-01-28  Murray Cumming  <murrayc@murrayc.com>

	Remove mention of deprecated Range::set_update_policy().

	Bug #703147 (Joris)

2014-01-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	App_and_win_menus example: Add a menu item that sends a Gio::Notification

	* examples/book/application/app_and_win_menus/exampleapplication.[h|cc]:
	Add on_action_print(). Add actions and menu items for a Gio::Notification.
	* examples/book/application/app_and_win_menus/examplewindow.[h|cc]:
	Add on_action_send_notification() and on_action_withdraw_notification().

2013-12-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix broken links

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Fix broken links to
	live.gnome.org/gtkmm (shall now link to wiki.gnome.org/Projects/gtkmm)
	and other broken links.

2013-12-23  Dimitris Spingos  <dmtrs32@gmail.com>

	Updated Greek translation

2013-12-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Drag and Drop chapter: Correct the description of the DnD signals

	* docs/tutorial/C/gtkmm-tutorial-in.xml: The drag_motion and drag_drop
	signals are emitted by the destination widget (were listed under the
	source widget).

2013-12-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ToolPalette example: Skip non-existent and large icons

	* examples/book/toolpalette/canvas.h: CanvasItem ctor: get label, if
	no icon name.
	* examples/book/toolpalette/canvas.cc: Catch Gtk::IconThemeError.
	* examples/book/toolpalette/examplewindow.cc: Make the ToolPalette look
	better by skipping large icons and icons that can't be loaded from
	the current icon theme.
	* docs/tutorial/C/figures/toolpalette.png: Updated.

2013-11-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	SignalIO example: Add Gio::Application::hold()

	* examples/book/input/main.cc: Add app->hold(). Necessary to keep
	the application running without a window.

2013-11-22  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-11-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove stock items and other deprecated API from the tutorial

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove deprecated API, mainly
	stock items. Many small updates and fixed typos.

2013-11-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	EventBox example: Make it possible to clip the label

	* examples/book/eventbox/examplewindow.cc: Allow ellipsizing the label.
	Perhaps the only way to clip a label in gtk+ 3.

2013-11-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	InfoBar example: Really show the infobar when it shall be shown

	* examples/book/infobar/examplewindow.cc: Use show_all() instead of
	show_all_children(). Not sure why this is necessary. I think only
	show_all() will realize the infobar.

2013-10-11  Murray Cumming  <murrayc@murrayc.com>

	treemodelcustom: Use the new base class order.

	The previous way is deprecated in the latest glibmm.

2013-10-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove unnecessary inclusion of gtkmm/stock.h

	* examples/book/menus/popup/examplewindow.cc:
	* examples/book/recent_files/examplewindow.cc:
	Remove unnecessary #include <gtkmm/stock.h>.

2013-10-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Main Menu example: Fix a mix-up of variables

	* examples/book/menus/main_menu/examplewindow.cc:
	on_menu_choices_other(): Use m_refChoiceOther instead of m_refChoice.

2013-10-07  Murray Cumming  <murrayc@murrayc.com>

	SearchBar example: Improve layout

2013-10-07  Murray Cumming  <murrayc@murrayc.com>

	Adapt to my SearchBar API change.

2013-10-07  Juan Rafael Garcia Blanco  <juanrgar@gmail.com>

	Gtk::SearchBar example added

2013-10-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add a Gtk::ListBox example

	* examples/Makefile.am: Add book/listbox/example.
	* examples/book/listbox/examplewindow.[h|cc]:
	* examples/book/listbox/examplerow.[h|cc]:
	* examples/book/listbox/main.cc: New files.
	This example is a translation (with very small changes) to C++ of
	gtk+/tests/testlist.c. Bug #708115.

2013-10-01  Murray Cumming  <murrayc@murrayc.com>

	Menus and Toolbars example: Add back the Toolbar

2013-10-01  Murray Cumming  <murrayc@murrayc.com>

	Update a comment

2013-09-29  Juan Rafael Garcia Blanco  <juanrgar@gmail.com>

	Gtk::HeaderBar example added.

	Bug #708866

2013-09-27  Murray Cumming  <murrayc@murrayc.com>

	Application example: Add a window menu.

	* examples/book/application/app_menu/:
	Rename this to app_and_win_menus/ and add menubar,
	using Gtk::Application_set_menubar() in Gtk::Application::on_startup().

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Main Menu example: Fix a leak

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Main Menu example: Add back the toolbar.

	Note that we have to use the C API
	( gtk_actionable_set_detailed_action_name() )
	because we cannot add the new Gtk::Actionable base class to
	the various classes, such as Gtk::ToolButton, without breaking
	the gtkmm ABI.

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette example: Replace Stock Items with Theme Icons.

	This is based on the changes in gtk+'s demos/gtk-demo/toolpalette.c

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Remove the others/stock example.

	* examples/Makefile.am:
	* examples/others/stock:
	Stock items are now deprecated in GTK+.
	It is annoying, but here is an explanation:
	https://mail.gnome.org/archives/gtk-devel-list/2013-July/msg00005.html

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Printing example: Remove use of Stock items.

	Stock items are now deprecated in GTK+.
	It is annoying, but here is an explanation:
	https://mail.gnome.org/archives/gtk-devel-list/2013-July/msg00005.html

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	recent_files: Replace UIManager with Builder.

	* examples/book/recent_files/examplewindow.[h|cc]:
	Because UIManager (and GtkAction) is deprecated.
	Gtk::RecentAction (GtkRecentAction) is also deprecated but
	without replacement, so we have just removed that from
	the example.
	This is almost an explanation for the GtkRecentAction
	deprecation in GTK+:
	https://mail.gnome.org/archives/gtk-devel-list/2013-September/msg00022.html
	However, we still need to add the toolbar back somehow,
	and the accelerators do not work.

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	menus_and_toolbars: Replace UIManager with Builder.

	* examples/book/menus_and_toolbars/examplewindow.[h|cc]:
	Because UIManager (and GtkAction) is deprecated.
	However, we still need to add the toolbar back somehow,
	and the accelerators do not work.

2013-09-26  Murray Cumming  <murrayc@murrayc.com>

	Replace some Gtk::UIManager uses with Gtk::Builder and Gio::Menu.

	Because GtkUIManager and GtkAction have been deprecated.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	PlacesSidebar example: Fix with gtkmm from master.

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	PlacesSidebar example: Minor cleanup

2013-09-23  Murray Cumming  <murrayc@murrayc.com>

	PlacesSidebar example: Fix compiler warnings

2013-09-23  Juan R. Garcia Blanco  <juanrgar@gmail.com>

	Add a PlacesSidebar example.

	* examples/book/placessidebar/examplewindow.[h|cc]:
	* exampels/book/placessidebar/main.cc: New files.
	* examples/Makefile.am: Mention the new example and its files.

2013-09-10  Rodrigo Nunes  <rnsribeiro@gmail.com>

	Updated Brazilian Portuguese translation

2013-09-09  Juan R. García Blanco  <juanrgar@gmail.com>

	Gtk::Revealer example updated to better match HIG.

2013-09-09  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-09-09  Dimitris Spingos  <dmtrs32@gmail.com>

	Added Greek translation

2013-09-09  Dimitris Spingos  <dmtrs32@gmail.com>

	Added new Makefile.am

2013-09-05  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2013-08-07  Murray Cumming  <murrayc@murrayc.com>

	Revealer Example: Match existing code style

2013-08-07  Murray Cumming  <murrayc@murrayc.com>

	Add the Revealer example to the build

2013-08-07  Juan R. García Blanco  <juanrgar@gmail.com>

	Gtk::Revealer example added to examples/book

	Bug #705460

2013-08-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add a multi-threaded example program.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add an Example section in the
	Multi-Threaded Programs chapter.
	* docs/tutorial/C/figures/multithread.png: New file.
	* docs/tutorial/Makefile.am: Add multithread.png.
	* examples/Makefile.am: Add the book/multithread example program.
	* examples/book/multithread/examplewindow.[h|cc]:
	* examples/book/multithread/exampleworker.[h|cc]:
	* examples/book/multithread/main.cc: New files.

2013-07-25  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Replace Gtk::Stock items by labels and/or icons in many example programs.

	* examples/book/clipboard/ideal/examplewindow.cc:
	* examples/book/clipboard/simple/examplewindow.cc:
	* examples/book/dialogs/filechooserdialog/examplewindow.cc:
	* examples/book/idle/idleexample.cc:
	* examples/book/infobar/examplewindow.cc:
	* examples/book/textview/examplewindow.cc:
	* examples/book/timeout/timerexample.cc:
	* examples/book/treeview/drag_and_drop/examplewindow.cc:
	* examples/book/update_ui/examplewindow.cc: Replace stock items by labels.
	* examples/book/entry/icon/examplewindow.cc:
	* examples/book/statusicon/main.cc:
	* examples/book/tooltips/examplewindow.cc: Replace stock items by named icons.
	* examples/book/toolbar/examplewindow.cc: Replace stock item by label and
	named icon.
	* examples/book/combobox/complex/examplewindow.cc:
	* examples/book/combobox/entry_complex/examplewindow.cc:
	* examples/book/combobox/entry_text/examplewindow.cc:
	* examples/book/combobox/text/examplewindow.cc:
	Remove unnecessary #include <gtkmm/stock.h>.

2013-07-03  José Alburquerque  <jaalburquerque@gmail.com>

	Move to a generated ChangeLog.

2013-07-02  José Alburquerque  <jaalburquerque@gmail.com>

	Auto-generate the ChangeLog from the git log for 'make dist'.

	* autogen.sh: Call mm-common-prepare with the --copy and --force flags
	so that the additional dist-changelog.am file from mm-common (among
	others) can be copied to the build/ directory so that it is possible
	to include that file so that auto-generation of the ChangeLog from the
	git commit messages is possible on 'make dist'.
	* Makefile.am: Include the mentioned .am file so that the ChangeLog is
	automatically generated from the git commit messages on 'make dist'.
	* configure.ac: Check for 'sed' which is used for the ChangeLog
	generation from the git commit messages on 'make dist'.

2013-07-01  José Alburquerque  <jaalburquerque@gmail.com>

	Tutorial: Wrapping Appendix: Fix minor typos.

	* docs/tutorial/C/gtkmm-tutorial-in.xml:

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	gmmproc parameter processing: Fix typos in the output param section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml:

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	gmmproc Parameter Reordering: Include a warning for _WRAP_SIGNAL().

	* docs/tutorial/C/gtkmm-tutorial-in.xml: It is necessary to warn that
	the C parameter names for C signals are always p0, p1, etc. because
	the extra defs utility generates the signals that way presently.

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	Appendix G: _WRAP_VFUNC(): Include slot options documentation.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Include documentation in the
	wrapping appendix for the 'slot_name', 'slot_callback' and
	'no_slot_copy' options that _WRAP_VFUNC() handles just like
	_WRAP_METHOD() does.  Edit the corresponding _WRAP_METHOD() options
	and copy them to avoid retyping the same thing twice.  This should
	have been done some time ago but I had not been able to get to it.

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	Appendix G: Add a gmmproc parameter processing section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add a separate section in the
	"The .hg and .ccg files" section of the wrapping appendix describing
	the different options available to process the parameters of method
	signatures in macros that process them because these options can be
	used in macros that process method signatures in general such as
	_WRAP_SIGNAL() and not just _WRAP_METHOD(), _WRAP_CTOR() and
	_WRAP_CREATE().  Remove the same explanations from the _WRAP_METHOD()
	and _WRAP_CTOR() documentation so that there is no duplication of
	documentation.

2013-06-30  José Alburquerque  <jaalburquerque@gmail.com>

	Appendix G: Add _WRAP_ENUM_DOCS_ONLY() documentation.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add a section describing what
	the _WRAP_ENUM_DOCS_ONLY() macro does in the "Other macros" section of
	the "The .hg and .ccg files" section in the wrapping appendix so the
	macro can be documented for future use.

2013-06-10  Murray Cumming  <murrayc@murrayc.com>

	3.8.0

2013-05-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Dialogs chapter: Add Non-modal AboutDialog section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add a section that describes a
	non-modal dialog, using Gtk::AboutDialog as an example.
	* docs/tutorial/C/figures/dialogs_about.png: Update this figure.
	* examples/book/dialogs/aboutdialog/examplewindow.[h|cc]: Add a label.

2013-05-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix some details in the Clipboard chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Fix some typos. Change std::list
	and Glib::StringArrayHandle to std::vector in code snippets.
	* examples/book/clipboard/ideal/examplewindow.[h|cc]: In gtkmm3
	on_clipboard_received_targets() takes a std::vector.
	Was a Glib::StringArrayHandle.

2013-03-08  Nicolás Satragno  <nsatragno@gnome.org>

	Updated Spanish translation

2013-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add some info to the custom/custom_container example.

	* examples/book/custom/custom_container/mycontainer.cc: Add some comments and
	commented-out code to the destructor. The code can be necessary, but it
	should not be activated unless a version of gtkmm is used where bug 605728
	has been fixed.

2013-03-03  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' with the latest versions of glib and glibmm.

	* examples/book/printing/simple/printformoperation.h: Put #include <gtkmm.h>
	before <pangomm.h>. Necessary because <glib.h> must be included when
	G_DISABLE_DEPRECATED is undefined. glibmm/threads.h uses deprecated stuff.

2013-02-19  Chris Vine  <chris@cvine.freeserve.co.uk>

	Amend the "Multi-threaded programs" chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Cover the use of std::bind(),
	boost::bind() and C++11 lambda expressions to safely call
	Glib::Threads::Thread::create(). Bug #512348.

2013-02-17  Chris Vine  <chris@cvine.freeserve.co.uk>

	Add "Multi-threaded programs" chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add chapter on writing
	multi-threaded programs using gtkmm. Bug #512348.

2012-11-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Builder examples: Update the Glade files to gtkmm3 status.

	* examples/book/builder/basic/basic.glade:
	* examples/book/builder/derived/derived.glade: Don't use deprecated widgets.

2012-11-23  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-11-22  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update the description of Box to gtkmm3 status.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Update the description of the Box
	constructor. Mention set_homogeneous().
	* docs/tutorial/C/figures/box_packing[1|2|3].png:
	* examples/book/box/examplewindow.[h|cc]: Show set_homogeneous(true|false)
	in the windows.
	* examples/book/box/packbox.[h|cc]: Use Glib::ustring::format() instead of
	sprintf().

2012-11-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the book/box example.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Describe how to handle command-line
	options with Gtk::Application.
	* examples/book/box/main.cc: Handle the command-line option in a way that
	Gtk::Application accepts.

2012-11-19  José Alburquerque  <jaalburqu@svn.gnome.org>

	gmmproc: _WRAP_METHOD: Include docs on wrapping methods with slots.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Document the new
	'slot_name', 'slot_callback' and 'no_slot_copy' options of
	_WRAP_METHOD().

	Bug #688587.

2012-11-14  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-11-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	_WRAP_CTOR: Document the new "errthrow" extra argument option.

	* docs/tutorial/C/gtkmm-tutorial-in.xml (_WRAP_CTOR): Add
	documentation describing what the extra "errthrow" option is used for.

2012-10-14  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-10-14  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-10-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	_WRAP_METHOD: Document gmmproc's output parameter functionality.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add documentation describing
	how to use gmmproc's output parameter functionality when wrapping
	methods.

2012-10-04  José Alburquerque  <jaalburqu@svn.gnome.org>

	_WRAP_VFUNC: Add the errthrow optional parameter documentation.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Document the new errthrow
	parameter of _WRAP_VFUNC so that it is clear in the documentation how
	to use it.

2012-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the book/application/app_menu example.

	* examples/book/application/app_menu/exampleapplication.cc: Change the name
	of the Gio::SimpleAction from "app.something" to "something".
	Bug #683645 (Tom Jaeger)

2012-08-30  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-29  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Clipboard and Socket examples: Make them non-unique.

	* examples/book/clipboard/ideal/main.cc:
	* examples/book/clipboard/simple/main.cc: Add Gio::APPLICATION_NON_UNIQUE to
	the calls to Gtk::Application::create(), so several instances can run
	simultaneously.
	* examples/book/socket/plug.cc:
	* examples/book/socket/socket.cc: Give plug and socket different application
	ids, so they can run simultaneously. Bug #681323.

2012-08-25  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-08-24  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-23  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-20  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-20  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-20  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-08-16  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Basics, Simple Example: Synchronize code and description.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Minor changes in the Basics chapter,
	Simple Example section to make it a correct description of the code.
	* examples/book/base/base.cc: Use Gtk::Window instead of ApplicationWindow.
	Set the size as the description says. Bug #681323.

2012-08-16  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-13  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-11  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-11  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-08-11  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-08-10  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-10  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-08-08  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-05  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-08-02  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-08-02  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-07-30  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-07-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	I18n and L10n chapter: Fix broken links.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Fix 1 obsolete and 5 broken
	links in the "Internationalization and Localization" chapter. Recommend
	Glib::ustring::compose(). Minor modification of how to contact the Gnome
	Translation Project. Bug #680546.

2012-07-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Typo fixed

2012-07-25  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-07-24  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-07-23  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-07-23  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed some typos

2012-07-16  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-07-16  Murray Cumming  <murrayc@murrayc.com>

	3.4.1

2012-07-16  Murray Cumming  <murrayc@murrayc.com>

	Fix a markup typo in the Spanish translation.

	* docs/tutorial/es/es.po: This was breaking the
	make check build.

2012-07-09  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-07-09  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-07-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Appendix B: Add Exceptions in signal handlers.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add a new section, "Exceptions in
	signal handlers" in Appendix B, "Signals". Bug #677104.

2012-07-03  Julien Hardelin  <jm.hard@wanadoo.fr>

	Fix some typos

2012-06-28  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-06-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the Memory management chapter, Widgets section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove a strange sentence on the
	disadvantages of class scope widgets. Don't mention Gtk::Object::set_manage().
	Bug #678566.

2012-06-21  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-06-14  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Entry and ComboBox with Entry sections: key_press_event -> activate.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Entry::signal_activate() has been
	undeprecated. Describe Entry::signal_activate() instead of
	signal_key_press_event() for detecting a pressed Enter key.
	* examples/book/combobox/entry_complex/examplewindow.[h|cc]:
	* examples/book/combobox/entry_text/examplewindow.[h|cc]:
	* examples/others/cellrenderercustom/popupentry.[h|cc]: Replace
	signal_key_press_event() by Entry::signal_activate() where an Enter key press
	shall be detected. Bug #655489, comment 21.

2012-06-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add make_screenshots.

	* tools/make_screenshots/make_screenshots.sh:
	* tools/make_screenshots/make_screenshots.pl:
	* tools/make_screenshots/progs-and-figs.txt:
	* tools/make_screenshots/README: New files. Bug #677292.

2012-06-08  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-06-05  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-06-05  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-06-04  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-06-04  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-06-01  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update some screenshots.

	* docs/tutorial/C/figures/custom_container.png:
	* docs/tutorial/C/figures/custom_widget.png:
	* docs/tutorial/C/figures/dialogs_colorchooserdialog.png:
	* docs/tutorial/C/figures/dialogs_filechooser.png:
	* docs/tutorial/C/figures/dialogs_fontchooserdialog.png:
	* docs/tutorial/C/figures/range_widgets.png:
	* docs/tutorial/C/figures/recentchooserdialog.png:
	Update these screenshots to gtkmm3 status.

2012-06-01  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-05-30  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-05-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	ComboBox and Range widgets examples: Set an active ComboBox entry.

	* examples/book/combobox/complex/examplewindow.cc:
	* examples/book/combobox/entry_complex/examplewindow.cc:
	* examples/book/combobox/entry_text/examplewindow.cc:
	* examples/book/combobox/text/examplewindow.cc: Make a ComboBox entry active
	in the ExampleWindow constructor.
	* examples/book/range_widgets/examplewindow.[h|cc]: Make a ComboBox entry
	active in the ExampleWindow constructor. Rename on_menu_position() to
	on_combo_position().

2012-05-28  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	SpinButton example: Fix orientation of vertical boxes.

	* examples/book/spinbutton/examplewindow.cc: Fix the orientation of the
	boxes that shall be vertical.

2012-05-16  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-05-11  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-05-04  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-05-03  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-28  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-18  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-18  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-18  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-04-18  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-04-17  Murray Cumming  <murrayc@murrayc.com>

	Range Widgets example: Really show a Position combo.

	* examples/book/range_widgets/examplewindow.[h|cc]:
	Convert the menu (which was once put in a deprecated OptionMenu)
	to a ComboBox and actually show it and handle it.

2012-04-14  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-11  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-11  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-11  Murray Cumming  <murrayc@murrayc.com>

	3.4.0

2012-04-02  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-02  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-04-02  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-04-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Install all screenshots used in the tutorial.

	* docs/tutorial/Makefile.am: Add figures/custom_widget.png, entry_icon.png,
	and entry_progress.png to the list of installed figures. Bug #655489.

2012-04-02  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Improve the Entry and ComboBox with Entry sections.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Don't mention the deprecated
	Entry::signal_activate(). Add description of Entry::signal_key_press_event()
	and Entry::signal_focus_out_event().
	* examples/book/combobox/entry_complex/examplewindow.[h|cc]:
	* examples/book/combobox/entry_text/examplewindow.[h|cc]:
	Add on_entry_key_press_event() and on_entry_focus_out_event(). Bug #655489.

2012-03-30  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-26  Murray Cumming  <murrayc@murrayc.com>

	Fix the --enable-warnings=fatal build with latest gtkmm.

	* examples/others/idle/idle.cc: Use signal_clicked() instead
	of signal_pressed().

2012-03-25  Nicolás Satragno  <nsatragno@gmail.com>

	Updated spanish translation

2012-03-25  Nicolás Satragno  <nsatragno@gmail.com>

	Updated spanish translation

2012-03-25  Nicolás Satragno  <nsatragno@gmail.com>

	Updated spanish translation

2012-03-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo

2012-03-25  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed some typos

2012-03-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application examples: Correct the window titles.

	* examples/book/application/app_menu/examplewindow.cc:
	* examples/book/application/command_line_handling/examplewindow.cc:
	* examples/book/application/simple/examplewindow.cc:
	Say that they are Gtk::Application examples, not Gio::Application
	examples.

2012-03-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk:Application app_menu example: Add the menu in on_startup().

	* examples/book/application/app_menu/exampleapplication.[h|cc]: This
	is what the C example code does, and it avoids the null D-Bus connection
	issue, though there are now new problems.

2012-03-23  Murray Cumming  <murrayc@murrayc.com>

	Fix the ChangeLog

2012-03-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application examples: Use Glib::set_application_name().

	* examples/book/application/app_menu/exampleapplication.cc:
	* examples/book/application/command_line_handling/exampleapplication.cc:
	* examples/book/application/simple/exampleapplication.cc:
	Call Glib::set_application_name() because the GtkApplication example
	code calls g_set_application_name().
	This will apparently make it appear correctly in the task list,
	and will be used in error messages.

2012-03-23  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix 'make check' with --enable-warnings=fatal.

	* examples/others/cellrenderercustom/popupentry.[h|cc]: Replace the deprecated
	Gtk::Entry::signal_activate() by signal_key_press_event(). Bug #655489.

2012-03-22  Murray Cumming  <murrayc@murrayc.com>

	Application examples: Add an AppMenu example.

	* examples/Makefile.am:
	* examples/book/application/app_menu/: This is based on the simple
	example, without the document handling, and is meant to show the
	use of set_app_menu(), using Gio::Menu, Gio::SimpleAction, and the
	base Gio::ActionMap API.
	However, I just get lots of these errors:
	GLib-GIO-CRITICAL **: g_dbus_connection_register_object: assertion `G_IS_DBUS_CONNECTION (connection)' failed

2012-03-20  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-20  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-20  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-03-18  Mario Blättermann  <mario.blaettermann@gmail.com>

	[l10n] Updated German doc translation

2012-03-13  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-13  Murray Cumming  <murrayc@murrayc.com>

	3.3.18

2012-03-08  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-05  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-05  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-03-05  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-03-05  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Tutorial: Mention Gtk::Application instead of Gtk::Main.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Change code snippets and
	descriptions to use Gtk::Application.

2012-03-03  Murray Cumming  <murrayc@murrayc.com>

	Use Gtk::Application instead of Gtk::Main.

	* examples/: Use Gtk::Application instead of Gtk::Main, which will
	probably be deprecated.

2012-03-02  Murray Cumming  <murrayc@murrayc.com>

	Use ColorChooserDialog instead of deprecated ColorSelectionDialog.

	* docs/tutorial/Makefile.am:
	* docs/tutorial/C/figures/dialogs_colorselectiondialog.png: Move to
	* docs/tutorial/C/figures/dialogs_colorchooserdialog.png: though we
	still need to actually update the image.
	* examples/Makefile.am:
	* examples/book/dialogs/colorselectiondialog/: Move to:
	* examples/book/dialogs/colorchooserdialog/: And change the code
	appropriately.

2012-03-02  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-29  Murray Cumming  <murrayc@murrayc.com>

	Use Gtk::ApplicationWindow.

	* examples/book/application/command_line_handling/examplewindow.h:
	* examples/book/application/simple/examplewindow.h:
	* examples/book/base/base.cc: Use ApplicationWindow instead of
	Window.

2012-02-28  Murray Cumming  <murrayc@murrayc.com>

	Spanish translation: Correct some markup.

	* docs/tutorial/es/es.po: Correct markup errors that broke make check.

2012-02-28  Murray Cumming  <murrayc@murrayc.com>

	Application examples: Remove now-unnecessary calls to init_gtkmm().

	* examples/book/application/command_line_handling/exampleapplication.cc:
	* examples/book/application/simple/exampleapplication.cc:
	The latest gtkmm in git master makes these calls unnecessary.

2012-02-26  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-26  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-26  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-02-23  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-20  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-20  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-20  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed missing tag in string

2012-02-19  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-16  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2012-02-16  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-14  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-14  Nicolás Satragno  <nicoymatu9@hotmail.com>

	Updated Spanish translation

2012-02-14  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-02-14  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typo in string

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Application examples: Minor clarification.

	* examples/book/application/command_line_handling/exampleapplication.cc:
	* examples/book/application/simple/exampleapplication.cc: on_open():
	When calling the base class implementation, specify Gtk::Applicaition in
	full, to avoid ambiguity when people take this example and rename the class
	to their own namespaces Application class.

2012-02-13  Murray Cumming  <murrayc@murrayc.com>

	Application examples: Remove the need for Gtk::Main.

	* examples/book/application/command_line_handling/exampleapplication.cc:
	* examples/book/application/command_line_handling/main.cc:
	* examples/book/application/simple/exampleapplication.cc:
	* examples/book/application/simple/main.cc: Use the new init_gtkmm() method
	in the create() methods, and remove the calls to Gtk::Main() from main().

2012-02-12  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-12  Nicolás Satragno  <nsatragno@gmail.com>

	Updated Spanish translation

2012-02-12  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Fixed typos in string

2012-02-10  Rafael Ángel  <rafo424@gmail.com>

	Updated Spanish translation

2012-01-30  Pedro Ferreira  <darkiiiiii@gmail.com>

	Keyboard Events chapter: Clarify keyboard event propagation.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Mention that keyboard events are
	first tested for keyboard shortcut keys.
	* examples/book/keyboard_events/simple/keyboard_events.[h|cc]:
	on_key_press_event() is an overridden default handler. Don't call connect().
	* examples/book/keyboard_events/propagation/event_propagation.[h|cc]:
	Add on_key_release_event() and windowKeyReleaseBefore().
	Bug #661857, comment 22.

2012-01-30  Pedro Ferreira  <darkiiiiii@gmail.com>

	New example programs in the DrawingArea chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add a section on drawing thin lines.
	Add an example program that draws text.
	* docs/tutorial/C/figures/drawingarea_thin_lines.png:
	* docs/tutorial/C/figures/drawingarea_pango_text.png: New screenshots.
	* docs/tutorial/Makefile.am: Add the new files.
	* examples/book/drawingarea/thin_lines/main.cc:
	* examples/book/drawingarea/thin_lines/examplewindow.[h|cc]:
	* examples/book/drawingarea/thin_lines/myarea.[h|cc]:
	* examples/book/drawingarea/pango_text/main.cc:
	* examples/book/drawingarea/pango_text/myarea.[h|cc]: New example programs.
	* examples/Makefile.am: Add the new files.
	Bug #666885.

2012-01-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Remove Table and other deprecated classes.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove the description of Table.
	Replace Table by Grid. Replace the deprecated HX and VX classes (HBox etc.)
	by the corresponding X classes (Box etc.).
	* docs/tutorial/C/figures/table.png: Deleted screenshot
	* docs/tutorial/Makefile.am: Don't mention the deleted file.
	* examples/book/assistant/examplewindow.[h|cc]:
	* examples/book/clipboard/ideal/examplewindow.[h|cc]:
	* examples/book/clipboard/simple/examplewindow.[h|cc]:
	* examples/book/printing/advanced/examplewindow.[h|cc]:
	* examples/book/printing/simple/examplewindow.[h|cc]:
	* examples/book/progressbar/examplewindow.[h|cc]:
	* examples/book/scrolledwindow/examplewindow.[h|cc]:
	* examples/others/arrow/direction.cc:
	* examples/others/dnd/dndwindow.[h|cc]:
	* examples/others/tictactoe/tictactoe.cc: Replace Table by Grid.
	* examples/book/drawingarea/joins/myarea.cc: Remove unused variable.
	* examples/others/cellrenderercustom/cellrenderertoggle.cc: Use all variables.
	* examples/book/table: Delete directory and all files in it.
	* examples/Makefile.am: Don't mention the deleted files.

2012-01-06  Murray Cumming  <murrayc@murrayc.com>

	Add a TODO comment

2011-12-12  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-12-12  Rafael Angel  <rafo424@gmail.com>

	Updated Spanish translation

2011-11-22  Murray Cumming  <murrayc@murrayc.com>

	Add back use of Gtk::Application, though it is not ready yet.

	* examples/Makefile.am:
	* examples/book/application/:
	* examples/book/base/base.cc: Use Gtk::Application. See bug #637445#c29 .

2011-11-21  Rafael Ángel  <rafo424@gmail.com>

	Updated Spanish translation

2011-11-21  Murray Cumming  <murrayc@murrayc.com>

	3.2.1

2011-11-21  Murray Cumming  <murrayc@murrayc.com>

	Added kindle cover files.

	* docs/tutorial/kindle_cover.jpg:
	* docs/tutorial/kindle_cover.svg: Added these files, though calibre's
	ebook-convert, used in docs/tutorial/Makefile.am,
	fails when we try to use it (the UI does the same), with:
	Exception: no decode delegate for this image format `' @ error/blob.c/BlobToImage/348

2011-11-21  Murray Cumming  <murrayc@murrayc.com>

	Authors: Remove authors of the now-removed Windows Installation section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Removed 2 authors tags.

2011-11-20  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Add Kjell Ahlstedt to the authors list.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Added an author tag.

2011-11-18  Rafael Ángel  <rafo424@gmail.com>

	Updated Spanish translation

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	3.2.0

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Add includes needed for latest glibmm and gtkmm.

	* examples/book/drawingarea/clock/clock.cc:
	* examples/book/drawingarea/image/myarea.cc:
	* examples/book/input/main.cc:
	* examples/others/idle/idle.cc: Added some glibmm includes.

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Add Pedro Ferreira to the authors list.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Added an author tag.

2011-11-18  Murray Cumming  <murrayc@murrayc.com>

	Code style changes to the new keyboard events examples.

	* examples/book/keyboard_events: Rename files and change them to be consistent
	with the code style used in other examples.

2011-11-18  Pedro Ferreira  <darkiiiiii@gmail.com>

	New chapter: Keyboard Events

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add new chapter "Keyboard Events".
	Add a paragraph on event propagation in Appendix B "Signals".
	* docs/tutorial/C/figures/keyboardevents_propagation.png:
	* docs/tutorial/C/figures/keyboardevents_simple.png: New screenshots.
	* docs/tutorial/Makefile.am: Add the new files.
	* examples/book/keyboard_events/propagation/event_propagation.[h|cc]:
	* examples/book/keyboard_events/propagation/main.cc:
	* examples/book/keyboard_events/simple/keyboard_events.[h|cc]:
	* examples/book/keyboard_events/simple/main.cc: New example programs.
	* examples/Makefile.am: Add the new files.
	Bug #661857.

2011-10-31  Rodolfo Ribeiro Gomes  <rodolforg@gmail.com>

	Updated Brazilian Portuguese translation

2011-10-26  Rodolfo Ribeiro Gomes  <rodolforg@gmail.com>

	Updated Brazilian Portuguese translation

2011-10-24  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-10-12  Murray Cumming  <murrayc@murrayc.com>

	gmmproc appendix. More about Gtk::Object

	* docs/tutorial/C/gtkmm-tutorial-in.xml: _CLASS_GTKOBJECT: Add a little
	more explanatory text abot when this should be used.

2011-10-11  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrapping Section: Use {OUT} instead of {RET} for output params.

	* docs/tutorial/C/gtkmm-tutorial-in.xml (_WRAP_METHOD): Explain that
	{OUT} appended to a parameter name (instead of {RET}) signifies that
	it is an output parameter because it is probably be more intuitive.

2011-10-09  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update Appendix F and G to gtkmm3 status.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Update Appendix F (Working with
	gtkmm's Source Code) and G (Wrapping C Libraries with gmmproc) to gtkmm3
	status. Add description of some of gmmproc's macros that were missing in
	Appendix G. Bug #658265.

2011-10-05  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-10-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Gtk::Builder examples: Update the Glade files.

	* examples/book/builder/basic/basic.glade:
	* examples/book/builder/derived/derived.glade: Rename from basic.ui.
	Replace "libglademm" in the label text with "Glade and Gtk::Builder".
	* examples/Makefile.am: Change the file names of the Glade files.
	* examples/book/builder/basic/main.cc:
	* examples/book/builder/derived/main.cc: Change name of loaded Glade file.
	Catch Glib::MarkupError exceptions from Gtk::Builder::add_from_file().
	Bug #658265.

2011-10-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update the Recently Used Documents chapter to gtkmm3 status.

	* examples/book/recent_files/examplewindow.[h|cc]: Remove obsolete comments.
	Add on_menu_file_recent_files_item().
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Update the Recently Used Documents
	chapter to gtkmm3 status. Bug #658265.

2011-10-04  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Update branch name in links to the git repository.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Change branch name of example code
	from "" to "master". Bug #658265.

2011-10-01  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-09-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Replace Bitmap and Pixmap by Pixbuf.

	* examples/book/drawingarea/image/fractal_image.png:
	* examples/book/drawingarea/image/main.cc:
	* examples/book/drawingarea/image/myarea.[h|cc]: New example.
	* examples/Makefile.am: Mention the new files.
	* examples/.gitignore: Ignore the executable file drawingareaimage.
	* docs/tutorial/C/figures/drawingarea_image.png: New screenshot.
	* docs/tutorial/Makefile.am: Mention the new file.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Replace all talk about the removed
	classes Gdk::Bitmap and Pixmap by Pixbuf. Update the Drawing Images section
	in the Drawing Area Widget chapter to gtkmm3 status. Remove removed and
	deprecated classes from the list in the Widgets Without X-Windows chapter.
	Bug #658265.

2011-09-27  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Drawing Area Widget chapter: Replace on_expose_event() by on_draw().

	* examples/book/drawingarea/curve/myarea.cc: Remove some unnecessary code.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Replace all descriptions of
	on_expose_event() by descriptions of on_draw(), and other updates to gtkmm3
	status, except in the Drawing Images section. Bug #658265.

2011-09-27  Murray Cumming  <murrayc@murrayc.com>

	Remove use of Gtk::Application, for now.

	* examples/Makefile.am:
	* examples/book/application/:
	* examples/book/base/base.cc: Gtk::Application has been removed from gtkmm
	again. We can add this back later. See bug #637445#c29 .

2011-09-19  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Dialogs chapter and examples: Finish replacement of FontSelectionDialog.

	* examples/book/dialogs/colorselectiondialog/examplewindow.[h|cc]:
	Add a plain Button that opens a ColorSelectionDialog.
	* examples/book/dialogs/fontchooserdialog/examplewindow.[h|cc]:
	Add a plain Button that opens a FontChooserDialog.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Replace get_vbox() by
	get_content_area(). Replace all references to FontSelectionDialog by
	FontChooserDialog. Bug #658265.

2011-09-15  dmustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-09-11  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	TreeView Popup example: Make sure the menu items are shown.

	* examples/book/treeview/popup/treeview_withpopup.cc: Add a call to
	m_Menu_Popup.show_all(). Bug #658265.

2011-09-07  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Label and ProgressBar examples: Fix text. Fix orientation of a Box.

	* examples/book/label/examplewindow.cc: Fix the orientation of m_VBox2.
	Correct the text in the right-justified frame. Remove unneccessary
	backslashes.
	* examples/book/progressbar/examplewindow.[h|cc]: Use
	ProgressBar::set_show_text() to control the text (new in gtkmm 3.0).
	Rename on_checkbutton_orientation() to on_checkbutton_inverted().
	Correct some comments. Bug #658265.

2011-09-06  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Range Widgets example: Fix size and orientation of widgets.

	* examples/book/range_widgets/examplewindow.cc: Fix the orientation of some
	boxes and the size of the vertical scale widget. Bug #658265.

2011-08-25  Murray Cumming  <murrayc@murrayc.com>

	Replace use of deprecated FontSelectionDialog.

	* examples/Makefile.am:
	* examples/book/dialogs/fontchooserdialog/: Rename to fontchooserdialog/,
	though this is really just an example of FontChooserButton.
	* examples/others/calendar/calendar.cc: Use FontChooserDialog instead of
	FontSelectionDialog.
	* docs/tutorial/Makefile.am
	* docs/tutorial/C/figures/: Rename the screenshot, though we should retake
	it. Let's redo them all soon.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Update for this change too.

2011-08-05  Murray Cumming  <murrayc@murrayc.com>

	Toolbar, Tooltips examples: Fix packing.

	* examples/book/toolbar/examplewindow.cc:
	* examples/book/tooltips/examplewindow.cc: Make sure that non-expanding
	widgets don't expand.

2011-08-03  Murray Cumming  <murrayc@murrayc.com>

	Simple application example: Fix a typo.

	* examples/book/application/simple/exampleapplication.cc: on_open():
	Use the i iterator, instead of 0.

2011-08-03  Murray Cumming  <murrayc@murrayc.com>

	Add back use of Gtk::Application so we can finish it.

	* examples/book/application/: Added.
	* examples/Makefile.am: Mention of these examples.
	* examples/book/base/base.cc: Use Gtk::Application instead of Gtk::Main.

2011-07-19  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* examples/: Replace all H/V classes with the base classes, specifying
	the orientation. This is tedious.

2011-06-13  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrapping Section: Initializations: Add comment about type substitution.

	* docs/tutorial/C/gtkmm-tutorial-in.xml (Wrapping Section): Add a
	comment in the m4 Initializations section about substituting the C++
	and the C type by using $1 and $2 respectively.

2011-06-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrapping Section: Also mention gmmproc's new caps for _WRAP_CREATE().

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Include a sentence about
	_WRAP_CREATE() also being able to process optional parameters and
	reordering of parameters like _WRAP_CTOR() and _WRAP_METHOD().

2011-06-12  José Alburquerque  <jaalburqu@svn.gnome.org>

	Wrapping Section: Describe gmmproc's new parameter processing caps.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Describe gmmproc's new
	capabilities to allow optional parameters, reorder the parameters and
	include optional output parameters when wrapping constructors and
	methods.

	Bug #651523.

2011-06-12  Mario Blättermann  <mariobl@gnome.org>

	[l10n] Updated German doc translation

2011-06-04  Murray Cumming  <murrayc@murrayc.com>

	Dialogs chapter: get_vbox() returns a Box, not a VBox.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: And more importantly,
	we forgot to rename this to get_content_area(). We will deprecate
	get_vbox() and add get_content_area() for gtkmm 3.2.

	Bug #651846 (Jean-Yves Pellé)

2011-05-25  José Zambrano  <jozaol@gmail.com>

	Updated Spanish translation

2011-05-24  Olav Vitters  <olav@vitters.nl>

	Use tar-ustar instead of tar-pax to ensure OpenBSD compatibility

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	Abstract: Mention David King as an author.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Added an author section.

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	3.0.3

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	Update library.gnome.org/devel links to developer.gnome.org.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: library.gnome.org moved its devel
	documentation to developer.gnome.org so we have updated the links.

2011-05-12  Murray Cumming  <murrayc@murrayc.com>

	Added a Changes In gtkmm 3 chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Briefly describe what is different.

2011-05-10  Murray Cumming  <murrayc@murrayc.com>

	Update for the change from intermediate types to std::vector.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Basics: Intermediate types: Mention
	that gtkmm does not use this anymore, though we must still mention it because
	it is used by glibmm, pangomm, and atkmm, which have not done an ABI break.
	Wrapping C Libraries with gmmproc: Update the mention of the intermediate
	types here too.

2011-05-04  Jose Zambrano  <jozaol@gmail.com>

	Updated Spanish translation

2011-04-29  Daniel Mustieles  <daniel.mustieles@gmail.com>

	Updated Spanish translation

2011-04-15  Murray Cumming  <murrayc@murrayc.com>

	3.0.2

2011-04-13  Murray Cumming  <murrayc@murrayc.com>

	Grid section: Slight rewording and add reference API link.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: I had not actually reviewed this
	until now.

2011-04-13  Murray Cumming  <murrayc@murrayc.com>

	Rename the book to Programming with gtkmm 3.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: This should avoid some confusion.

2011-04-07  Murray Cumming  <murrayc@murrayc.com>

	3.0.1

2011-04-07  Murray Cumming  <murrayc@murrayc.com>

	Correct mentions of gtkmm-2.4 to gtkmm-3.0.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: And adjust any text that mentions
	the history/future of the version numbers.
	Also remove notes about when API was added in gtkmm 2, because that is old
	news.

2011-04-06  Murray Cumming  <murrayc@murrayc.com>

	3.0.0

2011-03-31  Murray Cumming  <murrayc@murrayc.com>

	2.99.4

2011-03-31  Murray Cumming  <murrayc@murrayc.com>

	Double spaces after .s are unnecessary.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove unnecessary spaces.

2011-03-31  Murray Cumming  <murrayc@murrayc.com>

	Fix a minor grammatical mistake in the ComboBox section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: is, not are.

2011-03-25  Bruno Brouard  <annoa.b@gmail.com>

	Updated French doc translation

	Contributed by Gérard Baylard and Bruno Brouard

2011-03-24  Murray Cumming  <murrayc@murrayc.com>

	Remove use of Gtk::Application because it was removed from gtkmm 3.0.

	* examples/book/application/: Removed.
	* examples/Makefile.am: Remove mention of these examples.
	* examples/book/base/base.cc: Use Gtk::Main again instead of Gtk::Application.

2011-03-19  Murray Cumming  <murrayc@murrayc.com>

	Split the Gtk::Application example into two.

	* examples/book/application/: Split this into:
	* examples/book/application/simple/ with no command-line handling, and:
	* examples/book/application/command_line_handling/ because custom
	handling of the command line makes the open signal (and maybe others) useless.
	As planned on bug #637445.

2011-03-18  Murray Cumming  <murrayc@murrayc.com>

	Correct ChangeLog

2011-03-18  Kalev Lember  <kalev@smartlink.ee>

	ComboBox: Use set_entry_text_column() instead of set_text_column()

	* docs/tutorial/C/gtkmm-tutorial-in.xml:
	* examples/book/combobox/entry_complex/examplewindow.cc: Updated the
	files to use set_entry_text_column() instead of set_text_column() which
	was a leftover from ComboBoxEntry's removal.

2011-03-16  Fidel Sanchez-Bueno  <fidellira.6@gmail.com>

	Updated Spanish translation

2011-03-09  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application example: open an empty document if none is specified.

	* examples/book/application/exampleapplication.cc: Do not fail if no file
	was specified.

2011-03-09  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Builder example: Remove a now non-existent property.

	* examples/book/builder/basic/basic.ui:
	* examples/book/builder/derived/basic.ui: The glade files mentioned the old
	GtkDialog::has-separator property which has now been removed. This caused a
	harmless stderr warning.

2011-03-07  Murray Cumming  <murrayc@murrayc.com>

	Added missing files.

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Correct the ChangeLog.

2011-03-04  Murray Cumming  <murrayc@murrayc.com>

	Added Gtk::Application example.

	* examples/Makefile.am:
	* examples/book/application/: Added an example of Gtk::Application, opening
	text files and doing some command-line parsing.

	There is still a warning at the end which we should deal with:
	(example:17496): Gtk-CRITICAL **: gtk_main_quit: assertion `main_loops != NULL' failed

2011-02-22  Murray Cumming  <murrayc@murrayc.com>

	Code-style changes.

	* examples/book/grid/examplewindow.[h|cc]: Slight style changes, for
	consistency with the other examples.

2011-02-22  David King  <davidk@openismus.com>

	Correct link for tooltips example

2011-02-22  David King  <davidk@openismus.com>

	Add Gtk::Tooltip example to the tutorial

	* docs/tutorial/C/figures/tooltip.png:
	* docs/tutorial/C/gtkmm-tutorial-in.xml:
	* docs/tutorial/Makefile.am: Add an example for Gtk::Tooltip to the
	tutorial.

2011-02-21  David King  <davidk@openismus.com>

	Add basic information on Gtk::Grid

	* docs/tutorial/C/figures/grid.png: Add new screenshot.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add section in multi-widget
	container chapter on Gtk::Grid.
	* docs/tutorial/Makefile.am:
	* examples/.gitignore:
	* examples/Makefile.am: Update.
	* examples/book/grid/examplewindow.cc:
	* examples/book/grid/examplewindow.h:
	* examples/book/grid/main.cc: Add example code for Gtk::Grid.

2011-02-18  David King  <davidk@openismus.com>

	Minor documentation updates for gtkmm 3

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Replace gtkmm 2.4 information
	with gtkmm 3.0.

2011-02-16  David King  <davidk@openismus.com>

	Remove README.SUN from distribution

2011-02-16  David King  <davidk@openismus.com>

	Update AUTHORS, README and remove README.SUN

	* AUTHORS, README: Update.
	* README.SUN: Remove, as it refers only to an old version of gtkmm,
	not gtkmm-documentation.

2011-02-14  David King  <davidk@openismus.com>

	Install the documentation into a gtkmm-3.0 path

	* docs/tutorial/Makefile.am: Use gtkmm-3.0 rather than gtkmm-2.4 for
	the documentation path.

2011-02-12  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Modify the custom_container and custom_widget examples.

	* .gitignore: Add *~ (gedit's backup files).
	* autogen.sh: Add test that mm-common is installed.
	* examples/book/custom/custom_widget/mycontainer.[h|cc]:
	* examples/book/custom/custom_container/mywidget.[h|cc]: Change int* to
	int& in get_preferred_xxx_vfunc().
	* examples/book/custom/custom_widget/custom_gtk.css: Minor change in comment.
	Bug 639073, comment 19. Bug 628713 (autogen.sh).

2011-02-07  Murray Cumming  <murrayc@murrayc.com>

	2.99.3

2011-02-02  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the Socket API change.

	* examples/book/socket/socket.cc: Use ::Window instead of Gdk::NativeWindow.

2011-02-01  Murray Cumming  <murrayc@murrayc.com>

	Use Gtk::IconSet via RefPtr.

	* examples/book/menus_and_toolbars/examplewindow.cc: Adapt to the API change
	in gtkmm.

2011-01-31  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Build: Check for mm-common.

	* autogen.sh: Add test that mm-common is installed.
	This fixes bug #628713 (Patricia Santana Cruz)

2011-01-28  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the use of vector instead of *Handle in gtkmm 3.

	* examples/book/: Use std::vector instead of std::list, now that we don't
	use *Handle, which allowed both. We made that change because too many people
	were confused by the intermediate *Handle type.

2011-01-26  Murray Cumming  <murrayc@murrayc.com>

	ListViewText: Adapt to the append_text() change to append().

	* examples/book/treeview/listviewtext/examplewindow.cc: Fix the build.

2011-01-26  Murray Cumming  <murrayc@murrayc.com>

	A build fix.

	* examples/book/treeview/editable_cells/examplewindow.cc:  Fix another of my
	mistaken changes of clear() to reset(). This one was a ustring, not a RefPtr.

2011-01-26  Murray Cumming  <murrayc@murrayc.com>

	Adapt to removal of the Gtk::Range update_policy.

	* examples/book/range_widgets/examplewindow.cc:
	* examples/book/range_widgets/examplewindow.h: Just remove UI that showed
	the use of this API.

2011-01-26  Murray Cumming  <murrayc@murrayc.com>

	Adapt to the Pango::Layout::get_iter(iter) deprecation.

	* examples/book/printing/advanced/printformoperation.cc:
	* examples/book/printing/simple/printformoperation.cc: Use the get_iter()
	method that just returns the iter.

2011-01-26  Murray Cumming  <murrayc@murrayc.com>

	Build: Adapt to a filename change.

	* examples/Makefile.am: Mention the new .css file instead of the old rc file.

2011-01-26  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Modified the custom_container and custom_widget examples.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Updated the Custom Widgets chapter.
	* examples/book/custom/custom_container/examplewindow.[h|cc]: Renamed
	m_Button_Two to m_Label_Two. Removed some calls to show().
	* examples/book/custom/custom_container/mycontainer.[h|cc]: Replaced
	on_size_request() by get_request_mode_vfunc() and get_preferred_xxx_vfunc().
	Modified on_size_allocate().
	* examples/book/custom/custom_widget/custom_gtkrc:
	* examples/book/custom/custom_widget/custom_gtk.css: Renamed custom_gtkrc
	to custom_gtk.css. Modified it to suit Gtk::CssProvider.
	* examples/book/custom/custom_widget/mywidget.[h|cc]: Replaced
	on_size_request() by get_request_mode_vfunc() and get_preferred_xxx_vfunc().
	In on_realize(), removed calls to functions that no longer exist in gtkmm 3.
	Bug 639073.

2011-01-19  Murray Cumming  <murrayc@murrayc.com>

	Base example: Try to use Gtk::Application instead of Gtk::Main.

	* examples/book/base/base.cc: Replace Gtk::Main with Gtk::Application,
	though run() does not seem to return when the window is closed.

2011-01-19  Murray Cumming  <murrayc@murrayc.com>

	Indenting correction.

2011-01-18  Murray Cumming  <murrayc@murrayc.com>

	Application example: Use ExampleApplication via RefPtr.

	* examples/book/application/exampleapplication.[h|cc]: Make the constructor
	protected and add a create() method.
	* examples/book/application/main.cc: Use ExampleApplication via RefPtr,
	because that is how Gtk::Application should be used.

2011-01-18  Murray Cumming  <murrayc@murrayc.com>

	Application example: Added comments.

	* examples/book/application/exampleapplication.cc:
	* examples/book/application/main.cc: Added some comments now that I think I
	know what this does. Add a TODO suggesting that we move Gtk::Main inside
	Application, removing the Gtk::Main API.

2011-01-17  Murray Cumming  <murrayc@murrayc.com>

	Clipboard example: Fix the build.

	* examples/book/clipboard/ideal/examplewindow.cc: Fix my mistaken change
	of clear() to reset(). This one was a ustring, not a RefPtr.

2011-01-13  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Modified the custom_widget example

	* examples/book/custom/custom_widget/mywidget.cc:
	Make on_realize() more similar to gtk+ widgets' realize methods.
	Replace the deprecated Glib::RefPtr::clear() by reset(). Bug 606903.

2011-01-08  Murray Cumming  <murrayc@murrayc.com>

	Use RefPtr::reset() instead of deprecated RefPtr::clear().

	* examples/book/clipboard/ideal/examplewindow.cc:
	* examples/book/custom/custom_widget/mywidget.cc:
	* examples/book/treeview/editable_cells/examplewindow.cc: These were causing
	build errors now that we build with deprecated glibmm API disabled.

2011-01-06  Krzesimir Nowak  <qdlacz@gmail.com>

	Fix compilation of cellrenderercustom example.

	* examples/others/cellrenderercustom/cellrendererpopup.cc: Don't use
	deprecated {pointer,keyboard}_grab() methods in favor of more
	complicated Gdk::Device stuff.

2011-01-04  Murray Cumming  <murrayc@murrayc.com>

	Avoid use of deprecated glibmm and giomm API.

	* configure.ac: Added to MM_ARG_ENABLE_WARNINGS().

2010-12-30  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Fix the print preview dialog in the printing/advanced example.

	* examples/book/printing/advanced/previewdialog.cc:
	Constructor: Don't turn off double buffering.
	on_drawing_area_draw(): Make it similar to preview_draw() in
	gtk+-3/tests/print-editor.c.
	on_hide(): Replace the deprecated Glib::RefPtr::clear() with reset().
	Bug #638264.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Gtk::Application example: Minor cleanip.

	* examples/book/application/exampleapplication.[h|cc]:
	* examples/book/application/examplewindow.cc:
	* examples/book/application/main.cc:
	Minor formatting changes and some extra comments.
	on_open(): Call the base class's implementation, which is generally a good
	idea.

2010-12-23  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with --enable-warnings=fatal.

	* configure.ac: Use -no-long-long to avoid an (apparently new) compiler
	warning about long long not being supported by C++98. glibmm already had
	this option, and now gtkmm does too.

2010-12-23  Yannick Guesnet  <yannick.guesnet@univ-rouen.fr>

	Add Gtk::Application example

	* examples/book/application/exampleapplication.cc: new
	* examples/book/application/examplewindow.cc: new
	* examples/book/application/main.cc: new
	* examples/book/application/exampleapplication.h: new
	* examples/book/application/examplewindow.h: new
	* examples/Makefile.am: Adapted.

2010-12-23  Chris Kühl  <chrisk@openismus.com>

	Fixed a couple typos in the tutorial.

	* docs/tutorial/C/gtkmm-tutorial-in.xml:

2010-12-17  Murray Cumming  <murrayc@murrayc.com>

	Remove a drawable.h include, to fix the build.

	* examples/book/custom/custom_widget/mywidget.cc: Do not include
	gdkmm/drawable.h because it no longer exists.

2010-12-16  Bruno Brouard  <annoa.b@gmail.com>

	New french translation

	Contributed by Gérard Baylard <Geodebay@gmail.com>
	and Bruno Brouard <annoa.b@gmail.com>

2010-12-14  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm from git master.

	* examples/book/toolpalette/canvas.h: Use Gtk::Widget::render_icon_pixbuf()
	rather than render_icon().

2010-12-08  Murray Cumming  <murrayc@murrayc.com>

	2.91.6

2010-12-07  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm from git master.

	* examples/book/custom/custom_widget/mywidget.cc:
	* examples/book/custom/custom_widget/mywidget.h:
	* examples/book/dialogs/colorselectiondialog/examplewindow.cc:
	* examples/book/dialogs/colorselectiondialog/examplewindow.h:
	* examples/others/calendar/calendar.cc:
	* examples/others/cellrenderercustom/cellrendererpopup.cc:
	* examples/others/cellrenderercustom/cellrenderertoggle.cc:
	Adapt to the change from GtkStyle* to GtkStyleContext.

2010-12-03  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with the latest gtkmm from git master.

	* examples/book/combobox/text/examplewindow.cc: Adapted to the append_text()
	to append() change.

2010-11-30  Murray Cumming  <murrayc@murrayc.com>

	2.91.5

2010-11-26  Murray Cumming  <murrayc@murrayc.com>

	Remove use of removed widgets.

	* examples/book/dialogs/fileselection:
	* examples/book/range_widgets/labeledoptionmenu.[h|cc]: Remove use of
	removed widgets, which were hidden behind ifdefs. I think I only see this
	now because of an ifdef error in recent gtkmm.
	* examples/others/rulers: Removed because Gtk::Ruler was removed from gtkmm.
	* examples/Makefile.am: Adapted.

2010-11-23  Murray Cumming  <murrayc@murrayc.com>

	2.91.4

2010-11-18  Murray Cumming  <murrayc@murrayc.com>

	Updated ChangeLog

2010-11-18  Murray Cumming  <murrayc@murrayc.com>

	Fix minor typos

2010-11-18  Kjell Ahlstedt  <kjell.ahlstedt@bredband.net>

	Modified the clipboard/ideal example

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Signal owner_change is mentioned
	in the description of clipboard/ideal.
	* examples/book/clipboard/ideal/examplewindow.[h|cc]:
	Added on_clipboard_owner_change(). In on_button_copy(), m_ClipboardStore
	is set after the call to refClipboard->set(). Bug #553179.

2010-11-10  Murray Cumming  <murrayc@murrayc.com>

	Removed author credit for the removed GDK drawing section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: We removed the sub-section on
	drawing with gdk a while ago, since we now refer to cairomm API instead.

2010-11-10  Murray Cumming  <murrayc@murrayc.com>

	Label section: Fix a /<b> -> </b> typo.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Fix a typo.

2010-11-06  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2010-11-05  Murray Cumming  <murrayc@murrayc.com>

	Fix two small spelling errors.

2010-11-04  Murray Cumming  <murrayc@murrayc.com>

	Rearranged an include to fix the build.

	* examples/others/tictactoe/tictactoe.h: Include gdkmm.h later, to
	avoid the unexplained compiler error that I worked around by adding an
	include of dragcontext.h earlier in gtkmm.h.

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	2.91.2

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	Remove mentions of removed STL-style APIs such as Notebook::pages().

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove mention of STL-style API
	that has been removed from gtkmm 3 since the C structs were made private.

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	Remove credits mention for removed MSVC 2005 Express section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: authorgroup: Remove mention of an
	appendix that we removed some time ago.

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	Mark examples as being for gtkmm 3, not gtkmm 2.

	* examples/others/base/: Move this to examples/book/ because it is really
	used in the book, in the Basics section.
	* docs/tutorial/insert_example_code.pl: Append the branch parameter
	(an entity in the .xml file) to the git.gnome.org URL so people see the
	correct version of the source code, though this is blank for now so that
	we use master for this branch. Also add a comment that this is for
	gtkmm 2, not gtkmm 3.

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	Tutorial: Deal with some TODOs and hide others.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Label section: Describe the use of
	Pango Markup.
	Say "C++ Standard Library" instead of "STL", avoiding saying it too often.
	Correct the TabElem reference documentation link.
	Hide difficult TODOs in XML comment tags.

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	Add experimental generation of mobi format.

	* docs/tutorial/Makefile.am: Use ebook-convert, installed by calibre.

2010-10-28  Murray Cumming  <murrayc@murrayc.com>

	Add an experimental generation of epub format.

	* docs/tutorial/Makefile.am: Try to use the DocBook XSL stylesheets and
	dbtoepub.

2010-10-22  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2010-10-22  Matej Urbančič  <mateju@svn.gnome.org>

	Added sl for Slovenian translation

2010-10-22  Matej Urbančič  <mateju@svn.gnome.org>

	Updated Slovenian translation

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	2.91.1

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	Update for the removal of ComboBoxEntry.

	* examples/Makefile.am:
	* examples/book/comboboxentry/: Move these text/ and complex/ examples to
	* examples/book/combobox/entry_text/entry_text/ and entry_complex.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Combo Boxes: Update the examples
	paths and change the ComboBoxEntry section to a has-entry section.

2010-10-18  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest gtkmm.

	* examples/book/comboboxentry/complex/examplewindow.[h|cc]:
	* examples/book/comboboxentry/text/examplewindow.[h|cc]: Use Gtk::ComboBox
	with has_entry=true, instead of Gtk::ComboBoxEntry, which was removed.

2010-10-03  Murray Cumming  <murrayc@murrayc.com>

	2.91.0

2010-09-30  Chris Kühl  <chrisk@openismus.com>

	Added forgotten comma in chapter-custom-signals.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Added comma in
	chapter-custom-signals

2010-09-29  Murray Cumming  <murrayc@murrayc.com>

	Update the build for the latest gtkmm API.

	Use FileFilter via RefPtr.
	Change expose_event handlers to draw handlers. This is untested and probably
	incomplete.

2010-09-27  Murray Cumming  <murrayc@murrayc.com>

	Wrapping C Libraries with gmmproc: Fix a typo.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Wrapping C Libraries with gmmproc:
	Correct the skeletonmm directory paths mentioned here. Thanks to Geodebay.
	Bug #627425.

2010-09-21  Murray Cumming  <murrayc@murrayc.com>

	Fix the make check build with gtkmm from git master.

	* examples/Makefile.am: Disable examples/others/gdk/radar because it is
	just an example of GDK drawing, but people should use cairo now.
	We might bring it back as a cairo widget example later.
	Temporarily disable examples/others/window/wheelbarrow because it needs a function that is
	not yet in GTK+ 3.

	* examples/book/progressbar/examplewindow.[h|cc]: Use set_inverted()
	instead of set_orientation(), matching the change in the C test code.
	* examples/others/cellrenderercustom/cellrendererpopup.[h|cc]:
	* examples/others/cellrenderercustom/cellrenderertoggle.cc:
	* examples/others/cellrenderercustom/popupentry.cc:
	Replace use of CellRenderer::get_size() with CellSizeRequest::get_size(),
	though we should probably do more to really support natural-size.
	* examples/book/custom/custom_container/mycontainer.cc:
	Replace use of Widget::size_allocate() with SizeRequest::get_size()
	though we should probably do more to really support natural-size.
	* examples/others/dnd/dndwindow.[h|cc]: Replace use of Gdk::Pixmap with
	Gdk::Pixbuf.

2010-09-19  Mario Blättermann  <mariobl@gnome.org>

	[i18n] Updated German translation

2010-09-15  Murray Cumming  <murrayc@murrayc.com>

	Replace use of ALIGN_LEFT/RIGHT/TOP/BOTTOM with START/END.

	* examples/book/alignment/examplewindow.cc:
	* examples/book/box/examplewindow.cc:
	* examples/book/frame/examplewindow.cc:
	* examples/book/spinbutton/examplewindow.cc: Use only the non-deprecated
	enum values.

2010-08-31  Murray Cumming  <murrayc@murrayc.com>

	Port to gtkmm-3.0

	* configure.ac: Depend on gtkmm-3.0
	* examples/book/dialogs/aboutdialog/examplewindow.cc:
	* examples/book/notebook/examplewindow.[h|cc]:
	* examples/book/range_widgets/examplewindow.cc:
	* examples/book/toolpalette/canvas.cc:
	* examples/book/treeview/popup/treeview_withpopup.cc:
	* examples/others/cellrenderercustom/cellrendererpopup.cc:
	* examples/others/cellrenderercustom/popupentry.cc:
	* examples/others/dnd/dndwindow.cc:
	* examples/others/stock/stock.cc:
	* examples/others/treemodelcustom/exampletreemodel.[h|cc]:
	Replace use of MenuList and NotebookPage.

	This is the master branch. See also the gtkmm-2-22 branch.

2010-08-23  Tao Wang  <dancefire@gmail.com>

	Add Simplified Chinese tutorial translation.

2010-07-21  Murray Cumming  <murrayc@murrayc.com>

	Buttons chapter: Remove text about non-existant XPMLabelBox class.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: The mention of an XPMLabelBox
	was very odd and probably about a very very old version of the API.

2010-07-16  Murray Cumming  <murrayc@murrayc.com>

	Fix the build with latest gtkmm-2.22 with --enable-warnings=fatal.

	Generally include gtkmm/box.h before other gtkmm headers and include
	gtkmm/main.h after other gtkmm headers. Not pleasant.

2010-06-01  Murray Cumming  <murrayc@murrayc.com>

	Remove orphaned undef.

	* examples/book/treeview/popup/treeview_withpopup.cc: Remove an undef
	still left over from the removal.

2010-06-01  Murray Cumming  <murrayc@murrayc.com>

	Book: Remove the optional API appendix.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove the appendix about the
	reduced API because we no longer offer it in glibmm or gtkmm.

2010-05-31  Murray Cumming  <murrayc@murrayc.com>

	Finish removal of use of reduced API.

	* examples/book/treeview/drag_and_drop/treemodel_dnd.cc: Removed some
	orhpaned #endif lines left from my previous commit.

2010-05-31  Murray Cumming  <murrayc@murrayc.com>

	Remove use of reduced API.

	* examples/*.[h|cc]: Remove all ifdefed code that supported the various
	reduced API, because we no longer support that in latest glibmm and gtkmm.

2010-05-12  Jorge González  <jorgegonz@svn.gnome.org>

	Updated Spanish translation

2010-05-08  Mario Blättermann  <mariobl@gnome.org>

	Updated German translation

2010-05-08  Mario Blättermann  <mariobl@gnome.org>

	Added German translation

2010-05-07  David King  <davidk@openismus.com>

	Improve the Assistant example

	* examples/book/assistant/*: Move examplewindow.[cc|h] to
	exampleassistant.[cc|h]]. Add another window which opens the assistant
	and receives the result from it.

2010-05-07  David King  <davidk@openismus.com>

	Recommend non-deprecated Tooltip API in Tooltips chapter

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Remove text that recommended
	use of the deprecated Tooltips API, and suggest the Tooltip API
	instead.

2010-05-07  David King  <davidk@openismus.com>

	Update copyright years for tutorial

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Update copyright years to
	include all years, not a range.

2010-05-02  Jorge González  <jorgegonz@svn.gnome.org>

	Added initial Spanish translation

2010-05-02  Jorge González  <jorgegonz@svn.gnome.org>

	Added es to DOC_LINGUAS

2010-04-17  Shaun McCance  <shaunm@gnome.org>

	[gtkmm-documentation.doap] Fix invalid multiple objects in maintainer

2010-04-12  Murray Cumming  <murrayc@murrayc.com>

	2.20.1

2010-04-06  Murray Cumming  <murrayc@murrayc.com>

	Assistant chapter: Slight improvements to the text.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Assistant chapter: simplify the
	text, avoiding the passive.

2010-04-01  David King  <davidk@openismus.com>

	Add Gtk::Assistant example and tutorial

	* docs/tutorial/Makefile.am:
	* docs/tutorial/C/figures/assistant.png: Add screenshot.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add tutorial text.
	* examples/book/assistant/*:
	* examples/Makefile.am: Add example source code.

2010-04-01  David King  <davidk@openismus.com>

	Fix capitalisation of Qt in tutorial

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Qt, not QT.

2010-03-29  Murray Cumming  <murrayc@murrayc.com>

	2.20.0

2010-03-18  Murray Cumming  <murrayc@murrayc.com>

	Correct use of recently-deprecated API.

	* examples/book/buttons/radiobutton/radiobuttons.cc:
	* examples/book/custom/custom_container/mycontainer.cc:
	* examples/book/custom/custom_widget/mywidget.cc:
	* examples/book/entry/completion/examplewindow.cc:
	* examples/book/entry/icon/examplewindow.cc:
	* examples/book/entry/progress/examplewindow.cc:
	* examples/book/entry/simple/examplewindow.cc:
	* examples/book/printing/advanced/previewdialog.cc:
	* examples/book/progressbar/examplewindow.cc:
	* examples/book/range_widgets/examplewindow.cc:
	* examples/book/scrolledwindow/examplewindow.cc:
	* examples/others/calendar/calendar.cc:
	* examples/others/cellrenderercustom/popupentry.cc:
	Replace set_flags(Gtk::NO_WINDOW) with set_has_window(false).
	Replace unset_falgs(Gtk::NO_WINDOW) with set_has_window().
	Replace set_flags(Gtk::CAN_DEFAULT) with set_can_default().
	Replace set_flags(Gtk::CAN_FOCUS) with set_can_focus().
	Replace is_realized() with get_realized().

2010-02-27  Murray Cumming  <murrayc@murrayc.com>

	Fix a typo in the Mixing C and C++ APIs chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Mixing C and C++ APIs chapter:
	Fix a typo.
	Bug #610745 (Wouter Bolsterlee)

2010-02-25  Murray Cumming  <murrayc@murrayc.com>

	Remove mentions of the removed gdk-drawing chapter.

2010-02-23  Murray Cumming  <murrayc@murrayc.com>

	menus_and_toolbars example: Minor improvement.

	* examples/book/menus_and_toolbars/examplewindow.cc: add_stock_item():
	Do not use a null pixbuf, if the icon file can't be loaded.

2010-02-11  Murray Cumming  <murrayc@murrayc.com>

	2.19.3

2010-02-11  Murray Cumming  <murrayc@murrayc.com>

	Basics: Add mixing C and C++ APIs section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Basics chapter: Add the
	Mixing C and C++ APIs section from the maemomm documentation.

2010-02-08  Murray Cumming  <murrayc@murrayc.com>

	Removed Drawing With GDK appendix.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Removed deprecated
	Drawing With GDK appendix. The older versions are online if people
	need this.

2010-02-08  Murray Cumming  <murrayc@murrayc.com>

	Building from svn chapter: Mention git instead.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Building from svn:
	Update to mention git. I generally worry that this duplicates too
	much from other places though.

2010-01-27  Murray Cumming  <murrayc@murrayc.com>

	Remove FAQ - moved to live.gnome.org/gtkmm/FAQ

	* configure.ac:
	* Makefile.am:
	* docs/FAQ: Removed the FAQ because it has moved to
	http://live.gnome.org/gtkmm/FAQ instead.

2010-01-21  Murray Cumming  <murrayc@murrayc.com>

	Cleanup of previous commit.

2010-01-21  Murray Cumming  <murrayc@murrayc.com>

	Custom Signals appendix: Really show the example.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Custom Signals appendix:
	Really show the example code and link to it.
	In the inline code, add a missing public keyword.
	Thanks to Matt Marsh for noticing.

2010-01-18  Murray Cumming  <murrayc@murrayc.com>

	2.19.2

2010-01-18  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette chapter: Add a drag and drop sub-section.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: ToolPalette chapter: Add a
	drag and drop sub-section.
	* docs/tutorial/Makefile.am:
	* docs/tutorial/C/figures/toolpalette.png: Added screenshot, already
	mentioned in tkmm-tutorial-in.xml.

2010-01-18  Murray Cumming  <murrayc@murrayc.com>

	Fix a use of the deprecated GTK_OBJECT_TYPE_NAME() macro.

2010-01-16  Murray Cumming  <murrayc@murrayc.com>

	Started a ToolPalette chapter.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Add the beginnings of a ToolPallette
	chapter.
	* examples/book/toolpalette/examplewindow.cc: Use the latest gtkmm API.

2009-12-30  Murray Cumming  <murrayc@murrayc.com>

	Do not use deprecated API.

	* configure.ac: Add *MM to the list of MM_ARG_ENABLE_WARNINGS()
	deprecation defines.
	* examples/book/combo/: Remove this because it is about deprecated API.
	* examples/book/custom/custom_container/mycontainer.cc:
	* examples/book/statusicon/main.cc:
	* examples/book/toolpalette/canvas.cc:
	* examples/others/calendar/calendar.cc:
	Correct use of deprecated API.
	Bug #601929 (Deng Xiyue)

2009-12-28  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette example: Correction.

	* examples/book/toolpalette/canvas.[h|cc]: Fix the drag-leave problem,
	by no longer abusing drag-motion to pre-create the item.

2009-12-28  Murray Cumming  <murrayc@murrayc.com>

	ToolPalette example: Show drag preview.

	* examples/book/toolpalette/canvas.[h|cc]:
	* examples/book/toolpalette/examplewindow.cc: Preview the dragged
	item, though there is a problem with the drag-leave signal.

2009-12-28  Murray Cumming  <murrayc@murrayc.com>

	Added ToolPalette example.

	* examples/Makefile.am:
	* examples/book/toolpalette/: Added an example based on the code in
	gtk-demo.

2009-11-11  Murray Cumming  <murrayc@murrayc.com>

	Glade and Gtk::Builder chapter: Mention create_from_file() instead of create(), as noticed by Paul Jones.

2009-10-05  José Alburquerque  <jaalburqu@svn.gnome.org>

	InfoBar Example: Move the bar to the top of the window.

	* examples/book/infobar/examplewindow.cc:
	* examples/book/infobar/examplewindow.h: Modify the example to show
	the info bar at the top of the window for consistency with the
	tutorial.
	* docs/tutorial/C/figures/infobar.png: Upload a new image using the
	clearlooks theme for consistency with the rest of the figures in the
	tutorial (I hope that's okay).

2009-10-03  Daniel Elstner  <daniel.kitta@gmail.com>

	Support Automake silent rules

	* configure.ac: Call the AM_SILENT_RULES macro if it is defined.
	* docs/tutorial/Makefile.am: Prefix $(AM_V_at) and $(AM_V_GEN)
	to commands of custom rules in order to suppress the echoing of
	executed commands in silent rules mode.
	* docs/FAQ/Makefile.am: Modernize build rules as already done for
	the tutorial build.  Prefix $(AM_V_at) and $(AM_V_GEN) to commands
	in order to support Automake silent rules.

2009-10-03  Daniel Elstner  <daniel.kitta@gmail.com>

	Create output subdirectories automatically

	* docs/tutorial/Makefile.am (all-local): Prepend the $(DOC_LINGUAS)
	directories to the list of prerequisites.
	($(DOC_LINGUAS)): New rule to create output subdirectories on the
	fly when needed, i.e. when building from a completely clean tree.

2009-09-28  Murray Cumming  <murrayc@murrayc.com>

	2.17.4

2009-09-28  Murray Cumming  <murrayc@murrayc.com>

	Added InfoBar section.

	* docs/tutorial/C/figures/infobar.png: Added.
	* docs/tutorial/C/gtkmm-tutorial-in.xml: Miscellaneous Widgets:
	Added an InfoBar sub-section, mostly just to mention the new example.

2009-09-28  Murray Cumming  <murrayc@murrayc.com>

	Examples: Do not use virtual on all methods.

	* examples/*.h: Removed unnecessary virtual keywords. I once thought
	this was a good default, but changed my mind at some point.

2009-09-22  José Alburquerque  <jaalburqu@svn.gnome.org>

	Book: Add a Gtk::InfoBar example.

	* examples/book/infobar/examplewindow.cc:
	* examples/book/infobar/examplewindow.h:
	* examples/book/infobar/main.cc: Add these to exemplify the usage of a
	Gtk::InfoBar.
	* examples/Makefile.am (check_PROGRAMS): Add the new Gtk::InfoBar
	example to the check.
	(book_infobar_example_SOURCES): Declare the Gtk::InfoBar example
	sources.

2009-09-17  Daniel Elstner  <daniel.kitta@gmail.com>

	Replace deprecated GTK+ symbols in example code

	* examples/book/box/main.cc (main): Do not use gtk_exit().
	* examples/book/custom/custom_container/mycontainer.{cc,h}:
	Substitute GType for GtkType.

2009-09-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Do not use broken doc-dist-hook rule (bgo #574530)

	* docs/tutorial/Makefile.am (dist_noinst_DATA): List files formerly
	distributed through EXTRA_DIST or the doc-dist-hook rule included
	with gnome-doc-utils.make.
	(dist_tutorial_figures_DATA): Add "dist_" prefix.
	(dist-hook): Remove doc-dist-hook prerequisite.
	* docs/tutorial/docbook_phpwebnotes.xsl: Delete unused file.

2009-09-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Do not overwrite image files of gtkmm install

	* Makefile.am (dist_images_DATA): Neither distribute nor install
	the files gtkmm_logo.gif and top.gif, as they are already included
	with gtkmm.
	* docs/images/{gtkmm_logo,top}.gif: Delete image files, as they
	are not used anywhere in gtkmm-documentation.

2009-09-16  Daniel Elstner  <daniel.kitta@gmail.com>

	Insert missing comma in Autoconf macro call

	* configure.ac (EXAMPLES_WXXFLAGS): Insert missing comma to separate
	the arguments passed to the MM_ARG_ENABLE_WARNINGS() macro.

2009-09-15  Daniel Elstner  <danielk@openismus.com>

	Bump version to 2.17.3 and update news

	* configure.ac (AC_INIT): Increment version to 2.17.3.
	* NEWS: Write news entry for the 2.17.3 release.

2009-09-15  Daniel Elstner  <danielk@openismus.com>

	Install figures/ and icons/ below tutorial/html/

	* docs/tutorial/Makefile.am (tutorial_{figuresdir,iconsdir}):
	Install figures and icons into subdirectories of tutorial/html/
	so that the relative links in the HTML files work.

2009-09-15  Daniel Elstner  <danielk@openismus.com>

	Make example code file links point to cgit

	* docs/tutorial/C/gtkmm-tutorial-in.xml (url_examples_others_base):
	Point to the example code accessible via the cgit web interface of
	git.gnome.org.
	(url_examples_base): ditto.

2009-09-15  Murray Cumming  <murrayc@murrayc.com>

	2.17.2

2009-09-15  Murray Cumming  <murrayc@murrayc.com>

	Entry: Mention Completion, Icons, and Progress.

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Entry: Move the existing
	text and example into a Simple Use sect2 and add sect2 sections for
	Completion, Icon, and Progress, using the examples that I already
	added a while ago.
	* docs/tutorial/Makefile.am:
	* docs/tutorial/C/figures/entry_completion.png:
	* docs/tutorial/C/figures/entry_icon.png:
	* docs/tutorial/C/figures/entry_progress.png: Added screenshots.

2009-09-15  Murray Cumming  <murrayc@murrayc.com>

	Introduction: Slightly improve the text and copy into the <abstract>, so it has a sane description on library.gnome.org.

2009-09-14  Daniel Elstner  <danielk@openismus.com>

	Enable verbose output of autoreconf

	* autogen.sh: Pass the --verbose option to autoreconf.

2009-09-14  Daniel Elstner  <danielk@openismus.com>

	Clarify that all skeleton files need editing

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Globally remove trailing
	whitespace and expand tabs to spaces.
	(chapter-wrapping-c-libraries): Make minor corrections and expand
	on a number of paragraphs.
	(modifying-build-files): State explicitly that the substitution
	of placeholder text should be performed on every file copied from
	the skeleton source tree.
	(wrapping-documentation-build-structure): Update for mm-common.

2009-09-12  Murray Cumming  <murrayc@murrayc.com>

	Added a comment.

2009-09-11  Daniel Elstner  <danielk@openismus.com>

	Bump version to 2.17.1 and update news

	* configure.ac (AC_INIT): Increment version number to 2.17.1.
	* NEWS: Write news entry for the 2.17.1 release.

2009-09-11  Daniel Elstner  <danielk@openismus.com>

	Set id="index" attribute of element <book>

	* docs/tutorial/C/gtkmm-tutorial-in.xml (book): Set attribute
	id="index" because the Docbook XSLT script for library.gnome.org
	requires it in order for the index.html file to be generated.

2009-09-11  Daniel Elstner  <danielk@openismus.com>

	Rename GNOME doc module to gtkmm-tutorial

	* docs/tutorial/C/gtkmm-tutorial-in.xml: Rename file from
	gtkmm-tut.xml, and substitute references to the filename in
	the content.
	* docs/tutorial/Makefile.am: Rename the intermediate file
	gtkmm-tut.xml to gtkmm-tutorial-in.xml.
	(DOC_MODULE): Rename the ugly gtkmm-tut-with-examples to
	gtkmm-tutorial, since it will be visible as part of the URL
	on library.gnome.org.  Adjust references accordingly.
	* docs/tutorial/README: Reference new tutorial filename.
	* docs/tutorial/docbook_phpwebnotes.xsl: ditto.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Update reference to the gtkmm-tut.xml file

	* docs/tutorial/C/gtkmm-tut.xml (chapter-contributing): Correct
	location of the gtkmm-tut.xml file in the paragraph explaining how
	to contribute to the documentation.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Do not check for unused C library functions

	* configure.ac (AC_CHECK_FUNCS): Do not check for the library
	functions flockfile(), funlockfile() and getc_unlocked(), because
	they are not used in any example program.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Bump version to 2.17.0 and update news

	* configure.ac (AC_INIT): Increment version number to 2.17.0.
	(AM_INIT_AUTOMAKE): Add check-news option.
	* NEWS: Write news entry for gtkmm-documentation 2.17.0.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Update changed author email addresses

	* AUTHORS: Correct the email addresses of Murray Cumming and
	Daniel Elstner.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Delete no longer used config.h.in file

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Remove obsolete MAINTAINERS and HACKING files

2009-09-07  Murray Cumming  <murrayc@murrayc.com>

	tiny typo fix

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Install files into ${datadir}/doc/gtkmm-2.4

	* docs/{FAQ,tutorial}/Makefile.am: Remove include statement for
	Makefile_web.am_fragment.
	(gtkmm_docdir): Set to $(datadir)/doc/gtkmm-2.4, without the /docs
	suffix, in order to match the new installation location of the
	reference documentation.
	* docs/Makefile_web.am_fragment: Delete obsolete file.

2009-09-07  Daniel Elstner  <danielk@openismus.com>

	Update the new bindings chapter for mm-common

	* docs/tutorial/C/gtkmm-tut.xml: Update the chapter on the creation
	of new binding modules to document the new build infrastructure and
	skeleton project provided with mm-common.

2009-09-04  Murray Cumming  <murrayc@murrayc.com>

	Link to library.gnome.org.

	* docs/tutorial/C/gtkmm-tut.xml: Change reference API links (via
	XML entities) to library.gnome.org, though I guess we should discover
	these somehow at build time via the new mm build system.

2009-08-25  Daniel Elstner  <danielk@openismus.com>

	Build examples with $(GTKMM_CFLAGS)

	* examples/Makefile.am (AM_CPPFLAGS): Append $(GTKMM_CFLAGS) to
	get the example programs to build again.

2009-08-25  Daniel Elstner  <danielk@openismus.com>

	Handle missing dependency in gnome-doc-utils.make

	* docs/tutorial/Makefile.am: Move the gnome-doc-utils.make include
	below the variable assignments to make the behavior more obvious.
	(all-local): Explicitly depend on the gtkmm-tut-with-examples.xml
	files of all languages.  The dependency is missing from the install
	rule in gnome-doc-utils.make and otherwise only made a prerequisite
	of target 'all', which does not run at install time.

2009-08-25  Daniel Elstner  <danielk@openismus.com>

	Work around gnome-doc-utils.make VPATH problems

	* docs/tutorial/Makefile.am (C/gtkmm-tut-with-examples.xml): Always
	put this generated file into the source tree, because the rules in
	gnome-doc-utils.make do not perform a correct VPATH search for the
	xml2po input file.
	(C/programming-with-gtkmm-pdf.xml): Run $(MKDIR_P) C to create the
	output directory if necessary.

2009-08-25  Murray Cumming  <murrayc@murrayc.com>

	Update for Gtk::Builder.

	* docs/tutorial/C/gtkmm-tut.xml: Glade and libglademm chapter:
	Change this to a Glade and Gtk::Builder chapter, and change links and
	mentions elsewhere. The examples already existed.
	Use US organize instead of organise. Use cannot instead of can not.
	* examples/book/libglademm: Removed.
	* configure.ac:
	* examples/Makefile.am: Adapted.

2009-08-23  Daniel Elstner  <daniel.kitta@gmail.com>

	Distribute generated HTML files of the tutorial

	* configure.ac (AC_CONFIG_FILES): Remove output files docs/Makefile,
	docs/images/Makefile and docs/tutorial/icons/Makefile from the list.
	* Makefile.am (doc_subdirs): Recurse directly into the docs/FAQ/
	and docs/tutorial/ subdirectories, skipping docs/.
	(dist_images_DATA): Distribute and install image files in the
	docs/images/ subdirectory from here.
	* docs/tutorial/Makefile.am (SUBDIRS): Do not recurse into icons/.
	(vpath_listall): Copy VPATH listing function from doc-reference.am
	in mm-common.
	(DISTCLEANFILES): Only clean generated HTML files.
	(MAINTAINERCLEANFILES): Clean distributed HTML in the source tree.
	(dist_noinst_DATA): Distribute generated HTML.
	(tutorial_figures_DATA): Use Automake constructs to install the
	figures into a subdirectory of the HTML installation directory.
	The distribution is taken care of by gnome-doc-utils.make.
	(dist_tutorial_icons_DATA): Likewise for the icons, but distribute
	them via Automake as well.
	(install-tutorial): Simplify and cut down on shell commands.  Use
	GNU make features to produce the list of files at the make level.
	Only install the HTML files and style.css manually.
	(uninstall-tutorial): Simplify.  Limit the deletion to HTML files
	and style.css.
	(html/index.html): Remove dependency on Makefile.am, mainly because
	it is not consistent with the behavior of other targets or modules.
	(html/%): Declare html/index.html as order-only prerequisite of any
	file in the html/ subdirectory.
	(all-local): Remove target.
	(pdf), (post-html), (doc-clean): Disable targets for now.
	* docs{,/images,/tutorial/icons}/Makefile.am: Delete obsolete files.

2009-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

	Get tutorial build to distcheck correctly

	* Makefile.am (DISTCHECK_CONFIGURE_FLAGS): Raise warning level
	to fatal.
	* docs/tutorial/Makefile.am (uninstall-tutorial): Do not depend
	html/index.html when uninstalling.
	(EXTRA_DIST): Remove html/ subdirectory as gnome-doc-utils.make
	already distributes it.
	(DISTCLEANFILES): List wildcards for HTML tutorial files.

2009-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

	Build examples on make check

	* examples/Makefile.am (check_PROGRAMS): Rename from
	noinst_PROGRAMS, so that the example programs are prerequisites
	of the target 'check' rather than 'all'.  This way, there is no
	need for a configure switch to disable the examples build.

2009-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

	Distribute example data files

	* examples/Makefile.am (dist_noinst_DATA): List data files of
	the example programs.

2009-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

	Link with required libraries only

	* configure.ac: Call PKG_CHECK_MODULES() separately for giomm,
	gtkmm and libglademm.
	* examples/Makefile.am (AM_CPPFLAGS): Use $(LIBGLADEMM_CFLAGS).
	(LDADD): Link with $(GTKMM_LIBS) by default.
	(book_giomm_*_LDADD): Link with $(GIOMM_LIBS).
	(book_libglademm_*_LDADD): Link with $(LIBGLADEMM_LIBS).

2009-08-21  Daniel Elstner  <daniel.kitta@gmail.com>

	Remove gnome-doc-common from autogen.sh

	* autogen.sh: Remove invocation of gnome-doc-common as it is not
	needed to build gtkmm-documentation.

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Create DOAP file and correct MAINTAINERS

2009-08-20  Daniel Elstner  <danielk@openismus.com>

	Convert examples to non-recursive build

	* autogen.sh: Replace with minimal version from the glom module.
	* Makefile.am: Clean up and remove old cruft.
	* configure.ac: Rename file from configure.in and downsize it.
	* examples/**/Makefile.am: Remove obsolete non-recursive build files.
	* examples/Makefile.am_fragment: ditto.
	* examples/Makefile.am: Rewrite to non-recursive build.
	* examples/**/*.{cc,h}: Fix #include statements to use double quotes
	when including from the same directory as the source file.
	* scripts/: Delete directory and all files in it.
	* docs/tutorial/Makefile.am: Include gnome-doc-utils.make from the
	build/ subdirectory.

2009-06-25  Murray Cumming  <murrayc@murrayc.com>

	Add AC_PROG_CXX to avoid circular dependency aclocal error. Bug #586700.

2009-06-02  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/gtkmm-tut.xml: Clipboard: Paste: Discovering Available Targets: Corrected the parameter types of the callback slot based on the correctly-compiling code in examples/book/clipboard/ideal/examplewindow.cc. Bug #583702 (Jason Curole)

2009-05-23  Armin Burgmeier  <armin@arbur.net>

	Fixed a typo in the introduction mentioning Gtk::manage

	* docs/tutorial/C/gtkmm-tut.xml: Fixed a typo in the introduction
	mentioning Gtk::manage. Влад Устинов.

2009-03-23  Daniel Elstner  <daniel@src.gnome.org>

	Fix --disable-api-exceptions build

	* examples/book/builder/basic/main.cc: Conditionalize all exception
	handling in order to fix the build with --disable-api-exceptions.
	* examples/book/builder/derived/main.cc: ditto,
	* examples/book/custom/custom_widget/mywidget.{cc,h}: ditto,
	* examples/book/printing/advanced/examplewindow.cc: ditto,
	* examples/book/printing/advanced/previewdialog.cc: ditto,
	* examples/book/printing/simple/examplewindow.cc: ditto,
	* examples/book/tooltips/examplewindow.cc: ditto,
	* examples/book/treeview/popup/treeview_withpopup.cc: ditto,

	svn path=/trunk/; revision=85

2009-03-17  Murray Cumming  <murrayc@murrayc.com>

	2.16.0:

2009-03-17  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/entry/Makefile.am:
	* examples/book/entry/icon/:
	* examples/book/entry/progress/: Added entry/progress and entry/icon 
	examples, just to test that API.

	svn path=/trunk/; revision=84

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	Dealt with some compiler warnings.

2009-03-09  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/drag_and_drop/dndwindow.cc:
	* examples/book/giomm/directory_list/main.cc:
	* examples/book/giomm/getline/getline.cc:
	* examples/book/giomm/monitor_directory/monitor_directory.cc:
	* examples/book/giomm/read_file/main.cc:
	* examples/book/giomm/read_file_async/main.cc:
	* examples/book/giomm/volumes/main.cc:
	* examples/book/giomm/write_file/main.cc:
	* examples/others/dnd/dndwindow.cc: Dealt with some compiler warnings.

	svn path=/trunk/; revision=83

2009-02-27  Murray Cumming  <murrayc@src.gnome.org>

	Change a link to ulink to fix validation. I am confused that this was not noticed before.

	svn path=/trunk/; revision=82

2009-02-27  Murray Cumming  <murrayc@murrayc.com>

	Mention pygobject instead of pygtk for the codegen stuff such as h2def.py

	009-02-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/gtkmm-tut.xml: Mention pygobject instead of pygtk 
	for the codegen stuff such as h2def.py and docextract_to_xml.py.
	Noticed by Krzesimir Nowak.

	svn path=/trunk/; revision=81

2009-02-27  Murray Cumming  <murrayc@murrayc.com>

	Use <methodname> instead of <function> for method names.

2009-02-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/gtkmm-tut.xml: Use <methodname> instead of <function> 
	for method names.

	svn path=/trunk/; revision=80

2009-02-27  Murray Cumming  <murrayc@murrayc.com>

	Notebook: Mention set_current_page() instead of set_page(), which does not

2009-02-27  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/gtkmm-tut.xml: Notebook: Mention set_current_page() 
	instead of set_page(), which does not exist. Noticed by Jason Curole. 

	svn path=/trunk/; revision=79

2008-12-16  Fabrício Godoy  <skarllot@gmail.com>

	Remove unnecessary casts to int.

2008-12-16  Fabrício Godoy  <skarllot@gmail.com>

	* examples/book/range_widgets/examplewindow.cc: Remove unnecessary 
	casts to int.

	svn path=/trunk/; revision=78

2008-12-07  Armin Burgmeier  <armin@openismus.com>

	Removed the MSVC figures from DOC_FIGURES.

2008-12-07  Armin Burgmeier  <armin@openismus.com>

	* docs/tutorial/Makefile.am: Removed the MSVC figures from
	DOC_FIGURES.

	svn path=/trunk/; revision=77

2008-11-10  Murray Cumming  <murrayc@src.gnome.org>

	ChangeLog movery

	svn path=/trunk/; revision=76

2008-11-10  Murray Cumming  <murrayc@murrayc.com>

	Catch FileError as well as BuilderError, because that is what the C

2008-11-10  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/builder/basic/main.cc:
	* examples/book/builder/derived/main.cc: Catch FileError as well as 
	BuilderError, because that is what the C function actually gives if the 
	filename is wrong.
	Bug #548022 (Alexander Shaduri)

	svn path=/trunk/; revision=75

2008-11-10  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=74

2008-11-07  Murray Cumming  <murrayc@murrayc.com>

	X Event Signals appendix: Corrected a typo found by Tomasz Mikolajczyk.

2008-11-07  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/gtkmm-tut.xml: X Event Signals appendix:
	Corrected a typo found by Tomasz Mikolajczyk.

	svn path=/trunk/; revision=73

2008-10-27  Murray Cumming  <murrayc@murrayc.com>

	Include messagedialog.h here. It is not necessary, but someone (Jody)

2008-10-27  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/dialogs/messagedialog/examplewindow.cc: Include 
	messagedialog.h here. It is not necessary, but someone (Jody) found that 
	clearer.

	svn path=/trunk/; revision=72

2008-10-21  Armin Burgmeier  <armin@openismus.com>

	Removed the section on MSVC++ 2005 as it has been moved to the wiki on

2008-10-21  Armin Burgmeier  <armin@openismus.com>

	* docs/tutorial/C/gtkmm-tut.xml: Removed the section on MSVC++ 2005 as
	it has been moved to the wiki on
	http://live.gnome.org/gtkmm/MSWindows/UsingMSVC. Fixed the installer
	link in the Windows packaging section.

	* docs/tutorial/C/figures/msvc_*.png: Removed.

	svn path=/trunk/; revision=71

2008-10-20  Murray Cumming  <murrayc@murrayc.com>

	Do not try to upload the non-existant index.html file.

2008-10-20  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am: Do not try to upload the non-existant index.html file.

	svn path=/trunk/; revision=70

2008-10-19  Armin Burgmeier  <armin@openismus.com>

	Removed the section on Dev-C++ because it was outdated, and g++ 3.4.2,

2008-10-19  Armin Burgmeier  <armin@openismus.com>

	* docs/tutorial/C/gtkmm-tut.xml: Removed the section on Dev-C++
	because it was outdated, and g++ 3.4.2, which is shipped by default
	with Dev-C++, seems to be incompatible to 3.4.5 (ABI-wise), with which
	the gtkmm binaries are built. Instead, refer to the online
	instructions on live.gnome.org. Updated the section on using gtkmm
	with Visual Studio.

	* docs/tutorial/C/figures/devcpp_project_options.png: Removed.

	svn path=/trunk/; revision=69

2008-09-22  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=68

2008-09-21  Murray Cumming  <murrayc@murrayc.com>

	Adapted back to the old SelectionData API.

2008-09-21  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/drag_and_drop/dndwindow.cc:
	* examples/others/dnd/dndwindow.cc: Adapted back to the old 
	SelectionData API.

	svn path=/trunk/; revision=67

2008-09-04  Jonathon Jongsma  <jjongsma@src.gnome.org>

	fix logic for closing the about dialog (Bug #550675)

	svn path=/trunk/; revision=66

2008-09-03  Murray Cumming  <murrayc@murrayc.com>

	Respond to the Close button. Bug #550675 (Götz Waschk).

2008-09-03  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/dialogs/aboutdialog/examplewindow.cc:
	* examples/book/dialogs/aboutdialog/examplewindow.h: Respond to the Close 
	button. Bug #550675 (Götz Waschk).

	svn path=/trunk/; revision=65

2008-08-07  Deng Xiyue  <manphiz@gmail.com>

	Update gtkmm dependency to >= 2.13.4 as some tutorial uses new API

	2008-08-06  Deng Xiyue <manphiz@gmail.com>

	* configure.in: Update gtkmm dependency to >= 2.13.4 as some tutorial
	uses new API introduced since then.

	svn path=/trunk/; revision=64

2008-08-06  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=63

2008-08-06  Deng Xiyue  <manphiz@gmail.com>

	Correct icons/figures location in uninstall-tutorial rule so that they got

	2008-08-06  Deng Xiyue <manphiz@gmail.com>

	* docs/tutorial/Makefile.am: Correct icons/figures location in
	uninstall-tutorial rule so that they got removed after Making all in examples
	make[1]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples'
	Making all in book
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book'
	Making all in alignment
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/alignment'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/alignment'
	Making all in aspectframe
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/aspectframe'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/aspectframe'
	Making all in box
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/box'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/box'
	Making all in builder
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder'
	Making all in basic
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder/basic'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder/basic'
	Making all in derived
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder/derived'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder/derived'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/builder'
	Making all in buttonbox
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttonbox'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttonbox'
	Making all in buttons
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons'
	Making all in button
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/button'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/button'
	Making all in checkbutton
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/checkbutton'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/checkbutton'
	Making all in filechooserbutton
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/filechooserbutton'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/filechooserbutton'
	Making all in radiobutton
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/radiobutton'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/radiobutton'
	Making all in togglebutton
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/togglebutton'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons/togglebutton'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/buttons'
	Making all in clipboard
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard'
	Making all in simple
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard/simple'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard/simple'
	Making all in ideal
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard/ideal'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard/ideal'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/clipboard'
	Making all in combobox
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox'
	Making all in text
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox/text'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox/text'
	Making all in complex
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox/complex'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox/complex'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/combobox'
	Making all in comboboxentry
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry'
	Making all in text
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry/text'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry/text'
	Making all in complex
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry/complex'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry/complex'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/comboboxentry'
	Making all in custom
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom'
	Making all in custom_container
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom/custom_container'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom/custom_container'
	Making all in custom_widget
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom/custom_widget'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom/custom_widget'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/custom'
	Making all in drag_and_drop
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drag_and_drop'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drag_and_drop'
	Making all in dialogs
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs'
	Making all in aboutdialog
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/aboutdialog'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/aboutdialog'
	Making all in simple
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/simple'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/simple'
	Making all in colorselectiondialog
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/colorselectiondialog'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/colorselectiondialog'
	Making all in filechooserdialog
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/filechooserdialog'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/filechooserdialog'
	Making all in fileselection
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/fileselection'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/fileselection'
	Making all in fontselectiondialog
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/fontselectiondialog'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/fontselectiondialog'
	Making all in messagedialog
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/messagedialog'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs/messagedialog'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/dialogs'
	Making all in drawingarea
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea'
	Making all in simple
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/simple'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/simple'
	Making all in curve
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/curve'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/curve'
	Making all in arcs
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/arcs'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/arcs'
	Making all in clock
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/clock'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/clock'
	Making all in joins
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/joins'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea/joins'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/drawingarea'
	Making all in entry
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry'
	Making all in simple
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry/simple'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry/simple'
	Making all in completion
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry/completion'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry/completion'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/entry'
	Making all in eventbox
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/eventbox'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/eventbox'
	Making all in expander
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/expander'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/expander'
	Making all in frame
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/frame'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/frame'
	Making all in helloworld
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/helloworld'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/helloworld'
	Making all in helloworld2
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/helloworld2'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/helloworld2'
	Making all in iconview
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/iconview'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/iconview'
	Making all in idle
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/idle'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/idle'
	Making all in input
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/input'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/input'
	Making all in label
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/label'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/label'
	Making all in menus
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus'
	Making all in main_menu
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus/main_menu'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus/main_menu'
	Making all in popup
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus/popup'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus/popup'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus'
	Making all in menus_and_toolbars
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus_and_toolbars'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/menus_and_toolbars'
	Making all in notebook
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/notebook'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/notebook'
	Making all in paned
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/paned'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/paned'
	Making all in printing
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing'
	Making all in advanced
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing/advanced'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing/advanced'
	Making all in simple
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing/simple'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing/simple'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/printing'
	Making all in progressbar
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/progressbar'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/progressbar'
	Making all in range_widgets
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/range_widgets'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/range_widgets'
	Making all in recent_files
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/recent_files'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/recent_files'
	Making all in scrolledwindow
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/scrolledwindow'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/scrolledwindow'
	Making all in signals
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/signals'
	Making all in custom
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/signals/custom'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/signals/custom'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/signals'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/signals'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/signals'
	Making all in socket
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/socket'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/socket'
	Making all in spinbutton
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/spinbutton'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/spinbutton'
	Making all in statusicon
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/statusicon'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/statusicon'
	Making all in table
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/table'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/table'
	Making all in textview
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/textview'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/textview'
	Making all in timeout
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/timeout'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/timeout'
	Making all in toolbar
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/toolbar'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/toolbar'
	Making all in tooltips
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/tooltips'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/tooltips'
	Making all in treeview
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview'
	Making all in combo_renderer
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/combo_renderer'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/combo_renderer'
	Making all in editable_cells
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/editable_cells'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/editable_cells'
	Making all in list
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/list'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/list'
	Making all in listviewtext
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/listviewtext'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/listviewtext'
	Making all in tree
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/tree'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/tree'
	Making all in drag_and_drop
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/drag_and_drop'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/drag_and_drop'
	Making all in popup
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/popup'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/popup'
	Making all in filter
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/filter'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/filter'
	Making all in filter_modify
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/filter_modify'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/filter_modify'
	Making all in modelsort
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/modelsort'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview/modelsort'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/treeview'
	Making all in update_ui
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/update_ui'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/update_ui'
	Making all in libglademm
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm'
	Making all in simple
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm/simple'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm/simple'
	Making all in derived
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm/derived'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm/derived'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/libglademm'
	Making all in giomm
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm'
	Making all in directory_list
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/directory_list'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/directory_list'
	Making all in read_file
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/read_file'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/read_file'
	Making all in read_file_async
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/read_file_async'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/read_file_async'
	Making all in volumes
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/volumes'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/volumes'
	Making all in getline
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/getline'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/getline'
	Making all in monitor_directory
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/monitor_directory'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/monitor_directory'
	Making all in usage
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/usage'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/usage'
	Making all in write_file
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/write_file'
	make[4]: Nothing to be done for `all'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm/write_file'
	make[4]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm'
	make[4]: Nothing to be done for `all-am'.
	make[4]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm'
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book/giomm'
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book'
	make[3]: Nothing to be done for `all-am'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book'
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/book'
	Making all in others
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others'
	Making all in arrow
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/arrow'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/arrow'
	Making all in base
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/base'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/base'
	Making all in calendar
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/calendar'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/calendar'
	Making all in dnd
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/dnd'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/dnd'
	Making all in exception
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/exception'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/exception'
	Making all in gdk
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/gdk'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/gdk'
	Making all in rulers
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/rulers'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/rulers'
	Making all in statusbar
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/statusbar'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/statusbar'
	Making all in stock
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/stock'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/stock'
	Making all in tictactoe
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/tictactoe'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/tictactoe'
	Making all in treemodelcustom
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/treemodelcustom'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/treemodelcustom'
	Making all in window
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/window'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others/window'
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others'
	make[3]: Nothing to be done for `all-am'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others'
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples/others'
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples'
	make[2]: Nothing to be done for `all-am'.
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples'
	make[1]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/examples'
	Making all in docs
	make[1]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs'
	Making all in FAQ
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/FAQ'
	make[2]: Nothing to be done for `all'.
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/FAQ'
	Making all in images
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/images'
	make[2]: Nothing to be done for `all'.
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/images'
	Making all in tutorial
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/tutorial'
	Making all in icons
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/tutorial/icons'
	make[3]: Nothing to be done for `all'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/tutorial/icons'
	make[3]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/tutorial'
	make[3]: Nothing to be done for `all-am'.
	make[3]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/tutorial'
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs/tutorial'
	make[2]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs'
	make[2]: Nothing to be done for `all-am'.
	make[2]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs'
	make[1]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation/docs'
	make[1]: Entering directory `/home/murrayc/svn/gnome220/gtkmm-documentation'
	*** Everything completed ***
	make[1]: Leaving directory `/home/murrayc/svn/gnome220/gtkmm-documentation'char *' warning by declaring label as
	const char *.

	svn path=/trunk/; revision=62

2008-08-06  Murray Cumming  <murrayc@murrayc.com>

	Remove this because it is not used.

2008-08-06  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/figures/Makefile.am: Remove this because it is not used.
	* configure.in:
	* docs/tutorial/C/icons/
	* docs/tutorial/Makefile.am: Moved icons from tutorial/C to tutorial/
	because it is only used for the html build.
	Distributed html/ as we did when this was in gtkmm. If we install it then 
	we must distribute it.
	Correct some paths to fix the install and distcheck, though distcheck 
	still fails due to files remaining.
	Bug #545712

	2008-08-05  Deng Xiyue <manphiz@gmail.com>

	* docs/tutorial/Makefile.am: Install html/{icons,figures} as well.
	Bug #545712

	svn path=/trunk/; revision=61

2008-08-05  Murray Cumming  <murrayc@murrayc.com>

	Updated for latest non-deprecated SelectionData API.

2008-08-05  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/drag_and_drop/dndwindow.cc:
	* examples/others/dnd/dnd_images.h:
	* examples/others/dnd/dndwindow.cc: Updated for latest non-deprecated 
	SelectionData API.

	svn path=/trunk/; revision=60

2008-08-04  Ainsley Pereira  <gtkmm@pebble.org.uk>

	Fixed text in Chapter 21. Timeouts, I/O andIdle Functions - example code

	2008-06-11  Ainsley Pereira <gtkmm@pebble.org.uk>

	* docs/tutorial/C/gtkmm-tut.xml: Fixed text in Chapter 21. Timeouts, 
	I/O andIdle Functions - example code was right, but text referred to
	older versions.
	Bug #537858

	svn path=/trunk/; revision=59

2008-08-04  Deng Xiyue  <manphiz@gmail.com>

	Replace LGPL-2.1 with GFDL-1.2. Add GPL-2.0 for examples licenses. bug

	2008-08-03  Deng Xiyue <manphiz@gmail.com>

	* COPYING: Replace LGPL-2.1 with GFDL-1.2.
	* COPYING.examples: Add GPL-2.0 for examples licenses.
	bug #545892.

	svn path=/trunk/; revision=58

2008-08-01  Murray Cumming  <murrayc@murrayc.com>

	Removed index.html. The true copy is in gnomemm-website (uploaded to

2008-08-01  Murray Cumming  <murrayc@murrayc.com>

	* docs/Makefile.am:
	* docs/index.html: Removed index.html. The true copy is in 
	gnomemm-website (uploaded to gtkmm.org).
	It does not seem likely that the links could be correct for local 
	installs, given how varied the installation locations are on various 
	distros.

	svn path=/trunk/; revision=57

2008-08-01  Deng Xiyue  <manphiz@gmail.com>

	Reinstate rules to install generated html tutorial. Fix links to html

	2008-08-01  Deng Xiyue <manphiz@gmail.com>

	* docs/tutorial/Makefile.am: Reinstate rules to install generated
	html tutorial.
	* docs/index.html: Fix links to html tutorial

	svn path=/trunk/; revision=56

2008-07-29  Deng Xiyue  <manphiz@gmail.com>

	Add missing header files to fix build error using gcc 4.3.

	2008-07-29  Deng Xiyue <manphiz@gmail.com>
	* examples/book/giomm/read_file_async/main.cc:
	* examples/book/giomm/read_file/main.cc:
	* examples/book/custom/custom_widget/mywidget.cc: Add missing header
	files to fix build error using gcc 4.3.

	svn path=/trunk/; revision=55

2008-07-28  Murray Cumming  <murrayc@murrayc.com>

	Update the link for pangomm.

2008-07-28  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Update the link for pangomm.

	svn path=/trunk/; revision=54

2008-06-19  Deng Xiyue  <manphiz@gmail.com>

	Update the links to Visual C++ 2005 Download page and Platform SDK setting

	2008-06-19  Deng Xiyue <manphiz@gmail.com>

	* docs/tutorial/C/gtkmm-tut.xml: Update the links to Visual C++ 2005
	Download page and Platform SDK setting instruction page.

	svn path=/trunk/; revision=53

2008-06-16  Murray Cumming  <murrayc@murrayc.com>

	> > * docs/tutorial/Makefile.am: Correct the validate target to use the >

2008-06-16  Murray Cumming  <murrayc@murrayc.com>
> 
> * docs/tutorial/Makefile.am: Correct the validate target to use the 
> file in C/
> * examples/book/libglademm/simple/main.cc: Delete the dialog when we 
> are finished. The derived example already did this.

	svn path=/trunk/; revision=52

2008-06-11  Murray Cumming  <murrayc@murrayc.com>

	Put the style.css in the html directory, and use it from there, so it is

2008-06-11  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am: Put the style.css in the html directory, 
	and use it from there, so it is self contained. This also fixes the 
	upload, because we were assuming that it was there already.
	Thanks to Gerald Wodni.

	svn path=/trunk/; revision=51

2008-06-10  Murray Cumming  <murrayc@murrayc.com>

	Added italic styling for the guilabel, guimenu, and guimenuitem DocBook

2008-06-10  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/style.css: Added italic styling for the guilabel, 
	guimenu, and guimenuitem DocBook tags. We do not actually use these 
	in the gtkmm book, but I am using a version of this stylesheet for 
	Flumotion, and I want this to be the definitive example DocBook HTML 
	stylesheet. 

	svn path=/trunk/; revision=50

2008-06-02  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=49

2008-05-31  Murray Cumming  <murrayc@murrayc.com>

	examples/book/drawingarea/clock/clock.cc Cleaned up the formatting of this

2008-05-31  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/drawingarea/clock/clock.cc
	* examples/book/drawingarea/clock/clock.h: Cleaned up the formatting 
	of this example.
	Added a connect() for when GLIBMM_DEFAULT_SIGNAL_HANDLERS_ENABLED is 
	disabled.

	svn path=/trunk/; revision=48

2008-05-30  Murray Cumming  <murrayc@murrayc.com>

	Clarify the new text about non-GType enums.

2008-05-30  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/C/gtkmm-tut.xml: Clarify the new text about non-GType 
	enums.

	svn path=/trunk/; revision=47

2008-05-19  Hubert Figuiere  <hub@src.gnome.org>

	Add a note about non GType enums.

	* Add a note about non GType enums.

	svn path=/trunk/; revision=46

2008-05-18  Hubert Figuiere  <hub@src.gnome.org>

	It is h2def.py not h2defs.py

	* docs/tutorial/C/gtkmm-tut.xml: It is h2def.py not
	h2defs.py

	svn path=/trunk/; revision=45

2008-04-25  Murray Cumming  <murrayc@murrayc.com>

	Use the gnome-doc-utils structure/build so that the tutorial can be

2008-04-25  Murray Cumming  <murrayc@murrayc.com>

	* autogen.sh:
	* configure.in:
	* docs/tutorial/Makefile.am: Use the gnome-doc-utils structure/build 
	so that the tutorial can be translated easily.
	We still generate a html directory at the top-level, for uploading 
	to the website, and maybe for installing like before.
	* docs/tutorial/gtkmm-tut.xml: moved to:
	* docs/tutorial/C/gtkmm-tut.xml:
	* docs/tutorial/figures/: moved to 
	* docs/tutorial/C/figures/
	* docs/tutorial/icons/: moved to 
	* docs/tutorial/C/icons/

	svn path=/trunk/; revision=44

2008-04-12  Jonathon Jongsma  <jjongsma@src.gnome.org>

	update link to jhbuild manual to point to library.gnome.org rather than

	* docs/tutorial/gtkmm-tut.xml: update link to jhbuild manual to point to
	library.gnome.org rather than jamesh's old site

	svn path=/trunk/; revision=43

2008-04-11  Murray Cumming  <murrayc@src.gnome.org>

	Increased version

	svn path=/trunk/; revision=42

2008-04-06  Murray Cumming  <murrayc@murrayc.com>

	Use Gtk::manage() on the cell renderer, to prevent a leak.

2008-04-06  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/treeview/list/examplewindow.cc
	constructor: Use Gtk::manage() on the cell renderer, to prevent a leak.

	svn path=/trunk/; revision=41

2008-03-28  Murray Cumming  <murrayc@murrayc.com>

	Added this example, showing how to create files and how to replace their

2008-03-28  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/book/giomm/Makefile.am:
	* examples/book/giomm/write_file/: Added this example, showing how to 
	create files and how to replace their contents using a stream.

	svn path=/trunk/; revision=40

2008-03-06  Murray Cumming  <murrayc@murrayc.com>

	gmmproc appendix: Mention the m4 conversions more explicitly.

2008-03-06  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: gmmproc appendix: Mention the m4 
	conversions more explicitly.

	svn path=/trunk/; revision=39

2008-03-05  Murray Cumming  <murrayc@murrayc.com>

	Added a version of the read_file() example that uses the async methods.

2008-03-05  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/book/giomm/Makefile.am:
	* examples/book/giomm/read_file_async/: Added a version of the 
	read_file() example that uses the async methods. Seems to work fine.

	* examples/book/giomm/getline/getline.cc:
	* examples/book/giomm/monitor_directory/monitor_directory.cc:
	* examples/book/giomm/usage/usage.cc: Whitespace corrections for 
	consistency.

	svn path=/trunk/; revision=38

2008-03-03  Murray Cumming  <murrayc@murrayc.com>

	Added links into giomm. This page is a (bad) duplicate of

2008-03-03  Murray Cumming  <murrayc@murrayc.com>

	* docs/index.html: Added links into giomm.
	This page is a (bad) duplicate of gnomemm-website/documentation.shtml, 
	but I guess we need one for offline installations.

	svn path=/trunk/; revision=37

2008-02-23  Deng Xiyue  <manphiz@gmail.com>

	examples/book/box/main.cc examples/book/custom/custom_widget/mywidget.cc

	2008-02-21  Deng Xiyue <manphiz@gmail.com>

	* examples/book/box/main.cc
	* examples/book/custom/custom_widget/mywidget.cc
	* examples/book/drawingarea/arcs/myarea.cc
	* examples/book/drawingarea/clock/clock.cc
	* examples/book/treeview/editable_cells/examplewindow.cc
	* examples/gdk/radar.cc:
	Fix header inclusion and use using directive for C functions to
	fix build on gcc-4.3 and Solaris.  Refined from Tim Mooney's
	patch.
	(Bug #498438, #517530)

	svn path=/trunk/; revision=36

2008-02-23  Jonathon Jongsma  <jjongsma@src.gnome.org>

	add another simple giomm example -- this one just takes a directory

	* configure.in:
	* examples/book/giomm/Makefile.am:
	* examples/book/giomm/usage/Makefile.am:
	* examples/book/giomm/usage/usage.cc: add another simple giomm example --
	this one just takes a directory argument on the command line at recursively
	calculates the size of the files in that directory

	svn path=/trunk/; revision=35

2008-02-19  Jonathon Jongsma  <jjongsma@src.gnome.org>

	make the class name in the .gtkrc file begin with a lower-case 'gtkmm__'

	* examples/book/custom/custom_widget/custom_gtkrc: make the class name in
	the .gtkrc file begin with a lower-case 'gtkmm__' so that the rc file is
	parsed properly.  Fixes Bug #396198

	svn path=/trunk/; revision=34

2008-02-14  Jonathon Jongsma  <jjongsma@src.gnome.org>

	fix this example to use the correct buffered data input stream instead of

	* examples/book/giomm/getline/getline.cc: fix this example to use the
	correct buffered data input stream instead of doing it manually (and very
	inefficiently).
	* examples/book/giomm/monitor_directory/monitor_directory.cc: fix build
	failure

	svn path=/trunk/; revision=33

2008-02-04  Murray Cumming  <murrayc@murrayc.com>

	gmmproc section: Document _CLASS_INTERFACE(), including documenting the

2008-02-04  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: gmmproc section: Document _CLASS_INTERFACE(), 
	including documenting the new optional parameters.

	svn path=/trunk/; revision=32

2008-01-27  Jonathon Jongsma  <jjongsma@src.gnome.org>

	add new giomm examples change directory to a more generic '/etc' that

	* configure.in: add new giomm examples
	* examples/book/giomm/directory_list/main.cc: change directory to a more
	generic '/etc' that almost everybody will have
	* examples/book/giomm/read_file/main.cc: changed to more generic filename
	that most people will have: /etc/fstab
	* examples/book/giomm/getline: add a simple example for implementing
	something similar to std::istream::getline() using giomm.  I'm not sure how
	useful this one is as an example.  I'm also not sure how efficient it is to
	read a file one character at a time, but I think that's how the standard
	library function is implemented as well...
	* examples/book/giomm/monitor_directory: add an example for monitoring a
	directory using giomm.  It should monitor the current directory, then create
	a file and print out information on the commannd line when we get a change
	notification

	svn path=/trunk/; revision=31

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	Get the volumes for the drives too, though no drives are reported for some

2008-01-26  Murray Cumming  <murrayc@murrayc.com>

	* examples/book/giomm/volumes/main.cc: Get the volumes for the drives 
	too, though no drives are reported for some reason.

	svn path=/trunk/; revision=30

2008-01-24  Murray Cumming  <murrayc@murrayc.com>

	Added example of the use of Gio::VolumeMonitor. However, this currently

2008-01-24  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/book/giomm/Makefile.am:
	* examples/book/giomm/volumes/main.cc: Added example of the use of 
	Gio::VolumeMonitor. However, this currently crashes due to 
	gio bug #511814. We can work around that in giomm if necessary.

	svn path=/trunk/; revision=29

2008-01-23  Murray Cumming  <murrayc@murrayc.com>

	Added two simple giomm examples. Let's add some more here.

2008-01-23  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/book/Makefile.am:
	* examples/book/comboboxentry/text/examplewindow.cc:
	* examples/book/giomm/Makefile.am:
	* examples/book/giomm/directory_list/Makefile.am:
	* examples/book/giomm/directory_list/main.cc:
	* examples/book/giomm/read_file/Makefile.am:
	* examples/book/giomm/read_file/main.cc: Added two simple giomm 
	examples. Let's add some more here.

	svn path=/trunk/; revision=28

2008-01-11  Murray Cumming  <murrayc@murrayc.com>

	ComboBox section: Correct a typo in a code snippet. Thanks to JJ Harrison.

2008-01-11  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: ComboBox section: Correct a typo in 
	a code snippet. Thanks to JJ Harrison.

	svn path=/trunk/; revision=27

2007-11-12  Murray Cumming  <murrayc@murrayc.com>

	Added a description of _WRAP_GERROR().

2007-11-12  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Added a description of _WRAP_GERROR().

	svn path=/trunk/; revision=26

2007-11-08  Jonathon Jongsma  <jjongsma@gnome.org>

	added a bit more information to the 'wrapping' appendix. Added basic info

2007-11-07  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: added a bit more information to the
	'wrapping' appendix.  Added basic info about _MEMBER_GET/SET macros.  Also
	added a bit of clarification to the _WRAP_CTOR description, and added a
	brief section on 'basic' types

	svn path=/trunk/; revision=25

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	add 'id' attributes for all of the elements that the docbook xsl

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: add 'id' attributes for all of the elements
	that the docbook xsl stylesheets spit out warnings for.  This makes sure
	that the sub-page links will be more permanent as well, (e.g.
	gtkmm.org/docs/tutorial/page.html#permanent-id).  It's an annoyingly manual
	process, but I don't see any other alternative, and I think the benefits are
	worthwhile

	svn path=/trunk/; revision=24

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	increase docbook version to 4.5 since I was using some markup that wasn't

2007-11-05  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: increase docbook version to 4.5 since I was
	using some markup that wasn't valid in the old 4.1.2 sepecification

	svn path=/trunk/; revision=23

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	x-event-signals section: Mention add_events(), set_events(), and EventBox.

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: x-event-signals section:
	Mention add_events(), set_events(), and EventBox.
	EventBox section: Mention set_events().
	Bug #454709 (Daniel Hornung).

	svn path=/trunk/; revision=22

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	Added a warning about not making TreeColumnRecords static. Bug #443586

2007-11-05  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/gtkmm-tut.xml: Added a warning about not making TreeColumnRecords 
	static. Bug #443586 (Robert Pearce).

	svn path=/trunk/; revision=21

2007-11-04  Jonathon Jongsma  <jjongsma@gnome.org>

	fixed a couple more cvs-isms and changed them to reference svn instead

2007-11-03  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: fixed a couple more cvs-isms and changed them
	to reference svn instead

	svn path=/trunk/; revision=20

2007-11-04  Jonathon Jongsma  <jjongsma@gnome.org>

	added a bit more semantic markup to some classnames that I noticed was

2007-11-03  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: added a bit more semantic markup to some
	classnames that I noticed was missing so they're displayed consistently in
	monospace font

	svn path=/trunk/; revision=19

2007-11-04  Jonathon Jongsma  <jjongsma@gnome.org>

	fixed the section mini-toc style change to also apply to appendixes, not

2007-11-03  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/style.css: fixed the section mini-toc style change to also
	apply to appendixes, not just chapters

	svn path=/trunk/; revision=18

2007-11-04  Jonathon Jongsma  <jjongsma@gnome.org>

	update the 'working with cvs' section to refer to svn instead of cvs

2007-11-03  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: update the 'working with cvs' section to
	refer to svn instead of cvs

	svn path=/trunk/; revision=17

2007-11-04  Jonathon Jongsma  <jjongsma@gnome.org>

	more minor style tweaking. Only applied the slightly larger line-height to

2007-11-03  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/style.css: more minor style tweaking.  Only applied the
	slightly larger line-height to text in <p> elements so that other things
	like lists and stuff don't get too wide.  Also reduced the spacing between
	the mini-table-of-contents at the top of each chapter.

	svn path=/trunk/; revision=16

2007-11-04  Jonathon Jongsma  <jjongsma@gnome.org>

	update ignored files

2007-11-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* update ignored files

	svn path=/trunk/; revision=15

2007-11-03  Jonathon Jongsma  <jjongsma@gnome.org>

	build the tutorial using the section ids as the filenames. This is much

2007-11-02  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/Makefile.am: build the tutorial using the section ids as the
	filenames.  This is much better for publishing on the web because under the
	old system, the filenames were based on the chapter/section numbers, so if
	you moved or inserted sections in the book, the urls would all be
	invalidated.  Now the urls will be valid as long as we don't change the IDs
	of the chapters and sections
	* docs/tutorial/gtkmm-tut.xml: added 'id' attributes to all of the chapter
	and sect1 elements so that they can be used for filenames.  Also modified
	the id attributes to make them all follow the same general standard.

	svn path=/trunk/; revision=14

2007-11-02  Jonathon Jongsma  <jjongsma@gnome.org>

	minor style changes to the tutorial. Remove bold font from filenames and

2007-11-01  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/style.css: minor style changes to the tutorial.  Remove bold
	font from filenames and function / variable names so that they don't stand
	out so much -- just make them monospaced.
	Also increase the default line height slightly to make it a bit easier to
	read, but don't increase the line height for the example code segments

	svn path=/trunk/; revision=13

2007-11-02  Jonathon Jongsma  <jjongsma@gnome.org>

	touched up the 'wrapping C libraries with gmmproc' chapter to use a lot

2007-11-01  Jonathon Jongsma  <jjongsma@gnome.org>

	* docs/tutorial/gtkmm-tut.xml: touched up the 'wrapping C libraries with
	gmmproc' chapter to use a lot more semantic markup, etc.

	svn path=/trunk/; revision=12

2007-10-17  Murray Cumming  <murrayc@murrayc.com>

	Moved non-book examples into an other/ directory, so that these less-great

2007-10-17  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* examples/Makefile.am:
	* examples/: Moved non-book examples into an other/ 
	directory, so that these less-great examples don't 
	distract from all the good stuff in book/.

	svn path=/trunk/; revision=11

2007-10-16  Murray Cumming  <murrayc@murrayc.com>

	Build and upload the pdf when uploading.

2007-10-16  Murray Cumming  <murrayc@murrayc.com>

	* docs/tutorial/Makefile.am: Build and upload the pdf when 
	uploading.

	svn path=/trunk/; revision=10

2007-10-16  Murray Cumming  <murrayc@murrayc.com>

	Corrected the package name.

2007-10-16  Murray Cumming  <murrayc@murrayc.com>

	* configure.in: Corrected the package name.

	svn path=/trunk/; revision=9

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	examples/book/libglademm/derived/ Added the examples from libglademm and

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	* configure.in:
	* docs/tutorial/gtkmm-tut.xml:
	* examples/book/libglademm/derived/
	* examples/book/libglademm/simple/: Added the examples from 
	libglademm and included them inline in the gtkmm book in 
	the libglademm chapter.

	svn path=/trunk/; revision=8

2007-10-03  Murray Cumming  <murrayc@src.gnome.org>

	Added examples from libglademm

	svn path=/trunk/; revision=7

2007-10-03  Murray Cumming  <murrayc@src.gnome.org>

	Added examples from libglademm

	svn path=/trunk/; revision=6

2007-10-03  Murray Cumming  <murrayc@src.gnome.org>

	Added examples from libglademm

	svn path=/trunk/; revision=5

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	Removed mentions of non-existing directories, to fix the distcheck.

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	* Makefile.am: Removed mentions of non-existing directories, 
	to fix the distcheck.

	svn path=/trunk/; revision=4

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	Removed unused .m4 files.

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	* scripts/Makefile.am:
	* scripts/docgen.m4:
	* scripts/reduced.m4: Removed unused .m4 files.

	svn path=/trunk/; revision=3

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	Initial version, moving examples/ and docs/ from the main gtkmm module, so

2007-10-03  Murray Cumming  <murrayc@murrayc.com>

	Initial version, moving examples/ and docs/ from the main 
	gtkmm module, so that the book can have examples of extra APIs.

	svn path=/trunk/; revision=2

